#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb804b453, "ceph_cls_lock_info" },
	{ 0xa698f998, "ceph_free_lockers" },
	{ 0xf254297e, "ceph_addr_is_blank" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0xa6b66804, "osd_req_op_raw_data_in_pages" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0xa6257a2f, "complete" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xf0975594, "blk_mq_end_request" },
	{ 0xc9e39861, "blk_mq_start_request" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x8b1e60fe, "osd_req_op_extent_osd_data_pages" },
	{ 0x1221ba07, "ceph_osdc_wait_request" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6cc000ac, "set_capacity_and_notify" },
	{ 0xcb29bb8c, "ceph_cls_lock" },
	{ 0x17f14b53, "ceph_osdc_list_watchers" },
	{ 0x74351e4a, "ceph_monc_blocklist_add" },
	{ 0x459c2fde, "ceph_cls_break_lock" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x1feb22b6, "ceph_cls_set_cookie" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1057a279, "bsearch" },
	{ 0xf5af3eaa, "try_module_get" },
	{ 0xc29bf967, "strspn" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0xe32bf407, "ceph_parse_mon_ips" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0x4f7ff249, "ceph_compare_options" },
	{ 0x6516a419, "ceph_wait_for_latest_osdmap" },
	{ 0x4cad6f0, "ceph_pg_poolid_by_name" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xed4dadac, "__module_get" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf2678ae9, "blk_mq_alloc_tag_set" },
	{ 0x1d6ab88a, "__blk_mq_alloc_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa79d324c, "blk_queue_flag_set" },
	{ 0x9db11e3a, "blk_queue_max_hw_sectors" },
	{ 0x9663080c, "blk_queue_max_segments" },
	{ 0xb8990061, "blk_queue_max_segment_size" },
	{ 0x6b697f99, "blk_queue_io_min" },
	{ 0x43ad5d1d, "blk_queue_io_opt" },
	{ 0x26266396, "set_capacity" },
	{ 0xeb730c0a, "set_disk_ro" },
	{ 0xec50c0b4, "dev_set_name" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xa0890976, "device_add" },
	{ 0xf6f9055e, "ceph_create_client" },
	{ 0x780b3770, "ceph_open_session" },
	{ 0xcc594030, "blk_queue_max_discard_sectors" },
	{ 0x386ca718, "blk_queue_max_write_zeroes_sectors" },
	{ 0x349cba85, "strchr" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x14e5a026, "ceph_parse_param" },
	{ 0xfe5f056f, "device_add_disk" },
	{ 0x9697024c, "__fs_parse" },
	{ 0x3c85c561, "logfc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x789854e6, "fs_param_is_u32" },
	{ 0xc9f8faac, "fs_param_is_enum" },
	{ 0xeed48dcc, "fs_param_is_string" },
	{ 0xf1907c9d, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0x37a0cba, "kfree" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb3c1c18d, "ceph_client_gid" },
	{ 0xdd468d7c, "ceph_client_addr" },
	{ 0x13e3449d, "ceph_osdc_alloc_request" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x5aeeee62, "ceph_oid_aprintf" },
	{ 0xa80643b3, "osd_req_op_extent_osd_data_bvec_pos" },
	{ 0xc453a7cf, "osd_req_op_extent_osd_data_bio" },
	{ 0xca80437b, "ceph_extent_to_file" },
	{ 0xca2585b2, "osd_req_op_alloc_hint_init" },
	{ 0x6df6dcb3, "osd_req_op_extent_init" },
	{ 0x8fbe25c1, "osd_req_op_init" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2ce77b17, "get_device" },
	{ 0x5aa65097, "kmem_cache_destroy" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0x15a810a8, "kmem_cache_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x44fd3d08, "device_register" },
	{ 0x4f75895, "bus_register" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x788fcd51, "device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc1e7efd0, "put_device" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x8e76c02a, "bus_unregister" },
	{ 0xe6bd30d3, "alloc_pages" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7acdffbf, "ceph_osdc_call" },
	{ 0x3fcd6c2f, "__free_pages" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x754d539c, "strlen" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x497e0b16, "device_initialize" },
	{ 0x56d5d209, "put_disk" },
	{ 0xbc086bed, "blk_mq_free_tag_set" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x5ce8227a, "ceph_cls_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xc55dd268, "osd_req_op_cls_init" },
	{ 0x88d590f2, "ceph_alloc_page_vector" },
	{ 0xd36d8b6d, "osd_req_op_cls_request_data_pages" },
	{ 0x2814b4b7, "ceph_osdc_alloc_messages" },
	{ 0xb8cf10a1, "ceph_osdc_start_request" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdf3450e6, "ceph_cls_assert_locked" },
	{ 0x542f9900, "ceph_osdc_notify_ack" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7afbb89c, "ceph_destroy_client" },
	{ 0x2101cbc9, "ceph_oid_destroy" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa6114a35, "module_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x41750b22, "ceph_osdc_watch" },
	{ 0x7a1ad81c, "ceph_osdc_unwatch" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x72aaa9f0, "ceph_osdc_flush_notifies" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5f1f4265, "blk_mq_freeze_queue" },
	{ 0xbe62014e, "blk_mark_disk_dead" },
	{ 0x8c6975d6, "del_gendisk" },
	{ 0x76a659c7, "device_del" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1ec890b6, "ceph_osdc_notify" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6964297, "ceph_osdc_put_request" },
	{ 0x9e537b71, "kmem_cache_free" },
	{ 0x38f2d94e, "ceph_file_to_extents" },
	{ 0xeef6cfa3, "ceph_iterate_extents" },
	{ 0x47a03804, "osd_req_op_cls_request_data_bvecs" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xaa013a0c, "kmem_cache_alloc" },
	{ 0x3c8d7111, "ceph_get_num_objects" },
	{ 0x3edaa7ea, "ceph_release_page_vector" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe6c202d2, "ceph_copy_from_page_vector" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "libceph");


MODULE_INFO(srcversion, "84A70B563FAB18494B322A9");
