#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf7e7ddb, "adf_err_handler" },
	{ 0xc248659e, "__pci_register_driver" },
	{ 0x8a26f12d, "adf_gen4_enable_error_correction" },
	{ 0xb8231dfa, "adf_gen4_init_device" },
	{ 0x141cbe57, "adf_sysfs_init" },
	{ 0xe327f1f1, "adf_gen4_init_dc_ops" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0x51511655, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe5811608, "adf_gen4_get_misc_bar_id" },
	{ 0x89991938, "adf_gen4_get_sram_bar_id" },
	{ 0xd10c103d, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41a1bf58, "adf_init_admin_comms" },
	{ 0x58a3ceff, "adf_dev_down" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6a11fcd8, "adf_dbgfs_init" },
	{ 0x3e7ed708, "adf_send_admin_init" },
	{ 0x9b13d4a4, "adf_sriov_configure" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x17152e2a, "adf_gen4_get_etr_bar_id" },
	{ 0x51589b3b, "pci_select_bars" },
	{ 0x8fdc7c7, "adf_gen4_init_pf_pfvf_ops" },
	{ 0x790231ac, "adf_devmgr_add_dev" },
	{ 0xed700545, "adf_isr_resource_free" },
	{ 0x59339b85, "adf_reset_flr" },
	{ 0x731bcb68, "adf_gen4_get_num_accels" },
	{ 0x12159099, "adf_gen4_timer_start" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x4bff1365, "adf_gen4_timer_stop" },
	{ 0x10dcaaaf, "pcim_iomap_regions_request_all" },
	{ 0xd1d15ec3, "adf_disable_sriov" },
	{ 0x449ea34c, "adf_cfg_dev_remove" },
	{ 0xebfffd33, "adf_gen4_handle_pm_interrupt" },
	{ 0x239905eb, "adf_gen4_get_heartbeat_clock" },
	{ 0xb068247b, "adf_gen4_get_sku" },
	{ 0x7a17d056, "adf_gen4_set_ssm_wdtimer" },
	{ 0xae2f91f9, "adf_gen4_dev_config" },
	{ 0x56c7cfdb, "adf_dev_up" },
	{ 0xbe8e850d, "adf_isr_resource_alloc" },
	{ 0x5a9c12ab, "adf_cfg_dev_add" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0x3a3cff8f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xedea1c06, "adf_gen4_set_msix_default_rttable" },
	{ 0x9bd8b842, "dma_set_coherent_mask" },
	{ 0x808a4703, "adf_gen4_ring_pair_reset" },
	{ 0x53883f63, "adf_init_arb" },
	{ 0x38c16fe4, "adf_devmgr_rm_dev" },
	{ 0xc501ac82, "adf_gen4_init_hw_csr_ops" },
	{ 0x5afc794d, "adf_gen4_cfg_dev_init" },
	{ 0x2230d349, "adf_gen4_get_admin_info" },
	{ 0x2070db10, "adf_gen4_get_accel_mask" },
	{ 0x94322e1d, "dma_set_mask" },
	{ 0x4ad938a2, "pcim_iomap_table" },
	{ 0xe0cd28d1, "adf_gen4_enable_pm" },
	{ 0x7a9a8878, "pci_read_config_byte" },
	{ 0x4c051dc4, "adf_gen4_get_arb_info" },
	{ 0xc8747c29, "pcim_enable_device" },
	{ 0xedc0e494, "adf_get_service_enabled" },
	{ 0xb0985d97, "adf_dbgfs_exit" },
	{ 0x247085c2, "pci_save_state" },
	{ 0x3c8ae66c, "adf_gen4_init_ras_ops" },
	{ 0x791f52de, "adf_gen4_init_thd2arb_map" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0xb2d5d58a, "adf_exit_arb" },
	{ 0x9508b85b, "adf_gen4_init_tl_data" },
	{ 0x565908ae, "adf_exit_admin_comms" },
	{ 0xb438a1fa, "adf_gen4_get_num_aes" },
	{ 0xab71ee7, "adf_devmgr_pci_to_accel_dev" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x66ceee3c, "adf_gen4_enable_ints" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "intel_qat");

MODULE_ALIAS("pci:v00008086d00004946sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F7D19A05DBE1AAA3F148EFE");
