#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x360939dc, "");
SYMBOL_CRC(flow_resources_alloc, 0xe4295ee2, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0xc73d609b, "");
SYMBOL_CRC(flow_resources_add, 0xe7c2fb1e, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x39c81563, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x9795c43c, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xf9591798, "");
SYMBOL_CRC(uverbs_idr_class, 0x0a369f3c, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x74c25424, "");
SYMBOL_CRC(uverbs_fd_class, 0xa6ca038f, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x00c76427, "");
SYMBOL_CRC(_uverbs_alloc, 0x71865c71, "");
SYMBOL_CRC(uverbs_get_flags64, 0xbd7e8150, "");
SYMBOL_CRC(uverbs_get_flags32, 0x7de5bf86, "");
SYMBOL_CRC(uverbs_copy_to, 0x2ca426af, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x00d7e1fa, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0xa1d59d15, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xa36ad543, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xcb9acaa4, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0xbb2912e7, "");
SYMBOL_CRC(ib_umem_get, 0x359f6795, "");
SYMBOL_CRC(ib_umem_release, 0x20b54537, "");
SYMBOL_CRC(ib_umem_copy_from, 0xe8735511, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xcd8357e1, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xe114f970, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x7045b9b0, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xd0e62c9b, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xa5e8e24e, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x7a8c87d6, "");
SYMBOL_CRC(ib_umem_odp_get, 0x745fb2c3, "");
SYMBOL_CRC(ib_umem_odp_release, 0xca3eee49, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x4a035582, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x6b8ac86a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b8e628c, "dma_buf_get" },
	{ 0x46ccc6c4, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xd5a43273, "nla_put" },
	{ 0x65f4adbb, "ww_mutex_lock" },
	{ 0xc9b7ec3a, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc23b06d9, "ib_qp_usecnt_inc" },
	{ 0xc7be66a3, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc69eb759, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc16d473c, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9627e477, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x49b009bc, "rdma_create_user_ah" },
	{ 0x71ef53b8, "rdma_destroy_ah_user" },
	{ 0xe859668b, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x34a89c4b, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0xb210bf9c, "__mmdrop" },
	{ 0xbdd98a9b, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6c5e6288, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0xf8cec37f, "__mmap_lock_do_trace_start_locking" },
	{ 0xa993670d, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7e35d111, "igrab" },
	{ 0x8e7483cc, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x1433d5f6, "mmput" },
	{ 0xfdd48e8f, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xe6bd30d3, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa8e9829c, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1b05016f, "__mmap_lock_do_trace_released" },
	{ 0xde19c4a4, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xe4bf7cec, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3506f67, "ib_dealloc_xrcd_user" },
	{ 0x7f1a5353, "dma_buf_detach" },
	{ 0x29ed6d2, "stream_open" },
	{ 0x20ca6aa6, "mmu_interval_notifier_insert" },
	{ 0x65b4e33e, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x4da27cf8, "ib_open_qp" },
	{ 0x7eafcab7, "ib_dealloc_pd_user" },
	{ 0xb1fbfc13, "rdma_get_gid_attr" },
	{ 0x571ffcd1, "dma_unmap_sg_attrs" },
	{ 0x750b2d4f, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x8e86a141, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xf2a83ac5, "rdma_query_gid_table" },
	{ 0xcdabb6ad, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9c8423de, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xab88d212, "ib_attach_mcast" },
	{ 0x68188087, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xccfe27a5, "ib_destroy_wq_user" },
	{ 0x34b8a6bd, "put_pid" },
	{ 0xe5e185f2, "class_register" },
	{ 0x8cc4f796, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xf2b15e0f, "rdma_user_mmap_entry_put" },
	{ 0x5be7cc06, "pin_user_pages_fast" },
	{ 0xaa5e5f15, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf5af3eaa, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xf00315a3, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x6215d678, "ib_unregister_client" },
	{ 0xe3cd9f9e, "show_class_attr_string" },
	{ 0x44a1f3e3, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xec50c0b4, "dev_set_name" },
	{ 0x31bcda63, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3062595f, "mmu_interval_read_begin" },
	{ 0x35e89f07, "ib_create_qp_user" },
	{ 0x28bda952, "dma_resv_wait_timeout" },
	{ 0x2a9d1d26, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x1206761b, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x265c955c, "kill_fasync" },
	{ 0x71e43c83, "dma_unmap_page_attrs" },
	{ 0x47b21300, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9cc97fb3, "fget" },
	{ 0x25b5eef8, "__put_task_struct" },
	{ 0xe1ed8f75, "ib_query_srq" },
	{ 0xea09ca6f, "ww_mutex_unlock" },
	{ 0x497e0b16, "device_initialize" },
	{ 0xdae32d0c, "__dynamic_ibdev_dbg" },
	{ 0x873eaac, "ib_rdmacg_try_charge" },
	{ 0xa486e77e, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfe06b78f, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xa1b74474, "unpin_user_page_range_dirty_lock" },
	{ 0x200e80bc, "iput" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0x5ed4b4c7, "dma_buf_unpin" },
	{ 0xb5ea2888, "zap_vma_ptes" },
	{ 0x814cbbb8, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x223d99e0, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x12b69830, "rdma_dev_access_netns" },
	{ 0x2ce77b17, "get_device" },
	{ 0x41367061, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2c8fb6b7, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x6cb4d11a, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8103ad88, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0xd53fc097, "ib_destroy_srq_user" },
	{ 0xeab68276, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x5fc54574, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7fb1fbc0, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xd89fd3aa, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x5971eba6, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc1e7efd0, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xaf34abe0, "ib_modify_qp_with_udata" },
	{ 0x4f87d17a, "ib_register_event_handler" },
	{ 0x95bb8cdb, "ib_detach_mcast" },
	{ 0x6350562, "dma_buf_map_attachment" },
	{ 0x3fcd6c2f, "__free_pages" },
	{ 0x937d56f9, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa6114a35, "module_put" },
	{ 0x192b3699, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2c4e826f, "compat_ptr_ioctl" },
	{ 0x7640ed25, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0xf53f3185, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x42c5ff1b, "fput" },
	{ 0xcdfd2168, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xadce4d69, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x17f2d2d3, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x119bad97, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "1F2183B5C0C029358680D37");
