#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0x6acaa0bd, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0x38794de3, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x6ef4acf0, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0xbb6c765b, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x9d02c1a3, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0x8b19d956, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ff2701d, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdf2a987, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8fd56f42, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xabe8b577, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe091c214, "usb_clear_halt" },
	{ 0xcf71742e, "usb_bulk_msg" },
	{ 0xa468fb02, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x136cc824, "usb_submit_urb" },
	{ 0xf84c407d, "_dev_info" },
	{ 0xc024b2bb, "i2c_del_adapter" },
	{ 0xa7b7e8a7, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x7329784c, "usb_free_coherent" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x608a4d9e, "rc_register_device" },
	{ 0x56d82278, "usb_control_msg" },
	{ 0xd8a28764, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x12b48c54, "dvb_dmxdev_release" },
	{ 0x5ce9dee2, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x601d19c1, "input_event" },
	{ 0xf9130dd0, "dvb_frontend_detach" },
	{ 0xb50d6dae, "i2c_add_adapter" },
	{ 0x9f3842ec, "dvb_net_release" },
	{ 0xde7d1e6b, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc0af14b8, "dvb_unregister_frontend" },
	{ 0x7ddc380a, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7384d0f1, "__media_device_usb_init" },
	{ 0xc6e3b426, "dvb_register_frontend" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x7dcde376, "dvb_create_media_graph" },
	{ 0x929d31dd, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x4b6b84c0, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x74c4bb9d, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x84c5cb84, "input_allocate_device" },
	{ 0x55967596, "dvb_dmxdev_init" },
	{ 0x15ea6e65, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x250f6802, "media_device_unregister" },
	{ 0x3a9f489f, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8c502d3e, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa21feb67, "request_firmware" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");
