#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0xeae2e3c6, "");
SYMBOL_CRC(gspca_dev_probe2, 0x384f410a, "");
SYMBOL_CRC(gspca_dev_probe, 0xa58db3de, "");
SYMBOL_CRC(gspca_disconnect, 0x4dac00e9, "");
SYMBOL_CRC(gspca_suspend, 0xefa14797, "");
SYMBOL_CRC(gspca_resume, 0x02fc9be8, "");
SYMBOL_CRC(gspca_expo_autogain, 0xab92d79a, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x0f617886, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b715494, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x136cc824, "usb_submit_urb" },
	{ 0xb8197c37, "__v4l2_ctrl_s_ctrl" },
	{ 0x8fafc51c, "vb2_ioctl_dqbuf" },
	{ 0x7329784c, "usb_free_coherent" },
	{ 0xd7e23627, "vb2_ioctl_create_bufs" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa2e61e28, "vb2_buffer_done" },
	{ 0xcf343e53, "vb2_plane_vaddr" },
	{ 0x68c7ba35, "v4l2_ctrl_subscribe_event" },
	{ 0x1f9506bb, "usb_set_interface" },
	{ 0x7f653870, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf00c6d23, "vb2_ioctl_qbuf" },
	{ 0x71ba80c, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x35c1ab0b, "vb2_vmalloc_memops" },
	{ 0xe0ef0797, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfc63eab6, "vb2_fop_read" },
	{ 0x6c067140, "v4l2_device_register" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x646a701b, "__video_register_device" },
	{ 0x2f027831, "vb2_ops_wait_prepare" },
	{ 0x7ddc380a, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc413bbc6, "vb2_ioctl_streamon" },
	{ 0xd913433e, "vb2_fop_poll" },
	{ 0xaa4a2b77, "v4l2_ctrl_g_ctrl" },
	{ 0x62d2b0e1, "v4l2_ctrl_handler_free" },
	{ 0x2d2b409, "v4l2_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x4b6b84c0, "param_ops_int" },
	{ 0x4c8608b2, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6caf3058, "v4l2_event_unsubscribe" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x4af34097, "vb2_ioctl_reqbufs" },
	{ 0x41702606, "vb2_queue_init" },
	{ 0x84c5cb84, "input_allocate_device" },
	{ 0x15ea6e65, "usb_alloc_urb" },
	{ 0x2183841f, "video_ioctl2" },
	{ 0x3a9f489f, "usb_free_urb" },
	{ 0x3aaa57a5, "v4l2_device_put" },
	{ 0x726c31a3, "vb2_ioctl_streamoff" },
	{ 0x8c502d3e, "usb_alloc_coherent" },
	{ 0xe696312c, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd15c085b, "usb_ifnum_to_if" },
	{ 0x39cb6df1, "vb2_ops_wait_finish" },
	{ 0x9ff2701d, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcebfc070, "vb2_ioctl_querybuf" },
	{ 0xfdfb0186, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xabe8b577, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe091c214, "usb_clear_halt" },
	{ 0x3e17eb93, "v4l2_ctrl_handler_setup" },
	{ 0xa468fb02, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xccfb228, "video_devdata" },
	{ 0x2f0ce0ae, "vb2_queue_error" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C0F5C38121EAAFD38E0612A");
