#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0x59a1d78c, "_gpl");
SYMBOL_CRC(mei_reset, 0x9df9a608, "_gpl");
SYMBOL_CRC(mei_start, 0x4be475b6, "_gpl");
SYMBOL_CRC(mei_restart, 0x7d00d77e, "_gpl");
SYMBOL_CRC(mei_stop, 0xff031c42, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0xfa198f03, "_gpl");
SYMBOL_CRC(mei_device_init, 0x1cedcd1e, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0x797ce5e9, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0x544746ea, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0x55fc553e, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0xabc4340a, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0x57f91b7e, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0xfba9ba1b, "_gpl");
SYMBOL_CRC(mei_register, 0x789a176f, "_gpl");
SYMBOL_CRC(mei_deregister, 0x531626ec, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0x6e34cc8c, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag_timeout, 0xb404e135, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0xd605a30b, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0x08cc5efe, "_gpl");
SYMBOL_CRC(mei_cldev_recv_timeout, 0x98fd2c53, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag_timeout, 0xa38544a3, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0xab92f272, "_gpl");
SYMBOL_CRC(mei_cldev_send_timeout, 0xe79b2f49, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x2a5fc28a, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0xd77e802c, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0x9d1c3028, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0xa90ae915, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0xecb00177, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0x92491282, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x3ab651b5, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0x45430e6c, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0xcb374ef8, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0x3c7b5c2f, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x794c079d, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0xdf7f7e11, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0x7022a972, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x1edcda8e, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0xc18aa04b, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0xe0dcb75d, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0xb6b92e9c, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x95f1cd51, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x197aa5f3, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0xc6f243fa, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x407fc445, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0x1b50fcb8, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0x2b8bf56c, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0xb2060af4, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0x0310dcac, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb2d98868, "debugfs_write_file_bool" },
	{ 0xc1e7efd0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf84c407d, "_dev_info" },
	{ 0xa6114a35, "module_put" },
	{ 0x2c4e826f, "compat_ptr_ioctl" },
	{ 0x8ba12194, "cdev_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8002a4b6, "perf_trace_run_bpf_submit" },
	{ 0x8e76c02a, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xadce4d69, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x3c5a5596, "simple_open" },
	{ 0xa0890976, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd498a01e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xc9b7ec3a, "fasync_helper" },
	{ 0x60199d7b, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x3ee816b9, "driver_unregister" },
	{ 0xc69eb759, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x76a659c7, "device_del" },
	{ 0xd182750b, "dmam_free_coherent" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0xb33142ed, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4069b76b, "nonseekable_open" },
	{ 0x1af0f878, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x72b5e3f3, "device_create_with_groups" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7d84ab39, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x58616ab2, "trace_event_buffer_reserve" },
	{ 0x8a4e2ec2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7fa7545a, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xee4594f0, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc947f3dd, "seq_puts" },
	{ 0x186acfb3, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x692f5caa, "__pm_runtime_suspend" },
	{ 0xba9b7609, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x6ac7186a, "single_open" },
	{ 0xb01148ee, "debugfs_create_dir" },
	{ 0x7da52171, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xbf0f34a2, "driver_register" },
	{ 0xe5e185f2, "class_register" },
	{ 0x8cc4f796, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0xafa33ff8, "cdev_del" },
	{ 0x4f75895, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa768ecb4, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf5af3eaa, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x1c7a33b8, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xec50c0b4, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x40573df9, "dmam_alloc_attrs" },
	{ 0xb6206d6d, "trace_raw_output_prep" },
	{ 0x54a8f50b, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x265c955c, "kill_fasync" },
	{ 0x429c8b23, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x497e0b16, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5737eb9, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0xf418d581, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xed4dadac, "__module_get" },
	{ 0x2ce77b17, "get_device" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd80c4eed, "debugfs_read_file_bool" },
	{ 0xb33f1ebf, "trace_event_buffer_commit" },
	{ 0x6ecbd40d, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A4E60DCDC8E56B3CF9FE11C");
