#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x56f20833, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xc5bd033f, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x29a1a267, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x69576d33, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x35816e1e, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x189d6829, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0xd6454ffa, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xab8d7c50, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x4768c1dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x670ad38e, "free_candev" },
	{ 0x50386b94, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xc22448aa, "can_get_echo_skb" },
	{ 0x9e16a75c, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa92562d0, "netdev_warn" },
	{ 0x74d11281, "unregister_candev" },
	{ 0xa256ccba, "can_rx_offload_del" },
	{ 0x1b7fb215, "devm_clk_get" },
	{ 0x8a4e2ec2, "__pm_runtime_resume" },
	{ 0xd31a2f15, "pinctrl_pm_select_default_state" },
	{ 0x8dc35f38, "__pm_runtime_idle" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xcd75bf31, "netif_device_attach" },
	{ 0x7d7459a2, "register_candev" },
	{ 0xf84c407d, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe1467beb, "can_rx_offload_add_manual" },
	{ 0xf9b07ce8, "netif_napi_add_weight" },
	{ 0xd82e32fd, "phy_power_on" },
	{ 0x14e3d46, "open_candev" },
	{ 0x75e72ef1, "close_candev" },
	{ 0x2fb72ad8, "phy_power_off" },
	{ 0x298beb15, "netdev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xedc63287, "napi_disable" },
	{ 0x8f8497f0, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbb19ca30, "napi_enable" },
	{ 0x2055d7c4, "netif_tx_wake_queue" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x85b137a, "pinctrl_pm_select_sleep_state" },
	{ 0xf87adc1f, "netif_device_detach" },
	{ 0x4a006dd1, "alloc_can_err_skb" },
	{ 0xb6b0557c, "can_rx_offload_queue_timestamp" },
	{ 0xc226bbc0, "netif_receive_skb" },
	{ 0xc26cb084, "__dynamic_netdev_dbg" },
	{ 0x8758d21d, "can_bus_off" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x3432122c, "can_put_echo_skb" },
	{ 0x4ca41d59, "kfree_skb_reason" },
	{ 0x175690e9, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf03d4291, "netdev_printk" },
	{ 0x12c6c4c8, "alloc_canfd_skb" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x4d433005, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xad1546d, "napi_complete_done" },
	{ 0x14d3d011, "napi_schedule_prep" },
	{ 0x59a0819, "can_rx_offload_threaded_irq_finish" },
	{ 0xfe5616f4, "__napi_schedule" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x6f999e3d, "ethtool_op_get_ts_info" },
	{ 0xbcc6186d, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x5a6eb9a3, "__dev_fwnode" },
	{ 0xb6d47c63, "fwnode_property_read_u32_array" },
	{ 0x1adcd49a, "alloc_candev_mqs" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "6E35583D1F1D35642984FA2");
