#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0xf23dedec, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xef13642d, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x3de2f96c, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x6bbb817e, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xb3ec0340, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x657bd6b8, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x57272c41, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x9dd7eb55, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x8b0a9d03, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x9b01260e, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x01d41edf, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xdcd825d2, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x29d289e6, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xa5bc20d9, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x4af19657, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x9a55983c, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x22c25c2d, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x924a9e57, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x5fd9cae4, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x98c53d95, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x98fd3a6b, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x62d3882a, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xcded628b, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xba2c034f, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xe486d44a, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x1db80266, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xf8878684, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xdd03765c, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x67d88dda, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xbff9d214, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x7ee5819c, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0xbe3ffad4, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xd0a7d8ad, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xbe6ae75e, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x32e9b309, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x8c2f5659, "");
SYMBOL_CRC(mlx4_test_async, 0xdf4e1e43, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xe81aeeb7, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0xf3feff49, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x7204e087, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xc9ffa224, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x4231b5b3, "");
SYMBOL_CRC(mlx4_assign_eq, 0x64c9ed6d, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x4b869d80, "");
SYMBOL_CRC(mlx4_release_eq, 0xf282f123, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0xfe46e94c, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x103eee25, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x0f5622ba, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x8c7e1ba8, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xbd35de40, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xf56567a6, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0xc6f026b3, "");
SYMBOL_CRC(mlx4_wol_read, 0x595700ab, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x77b2a15c, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0xd858e0b6, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xec3caee6, "");
SYMBOL_CRC(set_phv_bit, 0x905d2d28, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xc71375dd, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xa254d53f, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x05fa0d54, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xe29a9198, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x6a52afba, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xdbd385d0, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x2061e20a, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xcf2dcfd8, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xe0f12072, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x5debb3f1, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x0d75a4c2, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xfb019408, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xdf3d50e6, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x46e275dd, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x9071c108, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xdcdfd461, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xf78779cb, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x7c07123d, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xa9a12c55, "");
SYMBOL_CRC(mlx4_read_clock, 0xf4564a6c, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x954d2944, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x6bb21183, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x0056fa24, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xd8e1ce2c, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x12d31eb3, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xb226349f, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xb4d1fe11, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x017a6908, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xfa9c2d01, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x8e53784f, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x978d4d81, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x5ebb66c6, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x6cb82cdc, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xb6d1c6f8, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xbcbd8457, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xe460a8bc, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xd020cb70, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0xdacdcd4f, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xeae9d33b, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xd6205074, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x751f1e5a, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xa4101412, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x8b891317, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xf58d9a81, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xf7a28b8e, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x9413bfec, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x1673651c, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x8692a201, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x8181b629, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xa5cfb4c1, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x0f5358b1, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x15fbe423, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xf4605cc5, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xa121646e, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x3cbfcb6c, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xd531b27d, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0xb3395370, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xa9283230, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xf216a1cf, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x49156934, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x9e50cc93, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x18f8dfba, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x93ae3712, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x5000c382, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xff0acc22, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x99bd6b00, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xf102239f, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x7c01bfdf, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x45a7cdfe, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x794c9d9d, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x2bcf396b, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x0dae851a, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xaa6b22cb, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xcbbaef62, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x46cfa694, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x7e922c3e, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xda9f2f75, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x6c0fab8e, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0xe09eec01, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xa98b6af6, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xdff483d3, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x1ff67ffd, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x57e37bf8, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x664dcb5f, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x388d2180, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x01ddb31f, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x7e93a35b, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0xff586234, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x3f4348c5, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xe8577e48, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xe7c99ad6, "");
SYMBOL_CRC(mlx4_get_module_info, 0x518a85ba, "");
SYMBOL_CRC(mlx4_max_tc, 0x9994b1d2, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xf081019e, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xf4b8e1fd, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x33d82118, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xb2f11df7, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xf2fd7c13, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x9a9e3c23, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x9b54d738, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x1695a9a9, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x9d7de980, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x3b17f345, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xaad14f97, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xac6510cb, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x08d4b9c6, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0xbe05ee12, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c765c6c, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x45538306, "param_ops_byte" },
	{ 0x2ce77b17, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x51511655, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xd10c103d, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x325e7832, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4f4f273a, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5c2db80c, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc1e7efd0, "put_device" },
	{ 0xfc2f9a61, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x1edde6e0, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x3fcd6c2f, "__free_pages" },
	{ 0xf84c407d, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xeecee052, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x4e68c765, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x178256c9, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x10488567, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa011c507, "dma_alloc_attrs" },
	{ 0xd86ccf3b, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x476e0eb9, "devl_params_register" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1dab8ee8, "pci_restore_state" },
	{ 0x76a659c7, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x6ffabc53, "dma_sync_single_for_cpu" },
	{ 0xdd05a36f, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xde3535ac, "__alloc_pages" },
	{ 0x3a3cff8f, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xe5d8e761, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xa9002b0b, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9bd8b842, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x2776f2a8, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1907c9d, "param_ops_bool" },
	{ 0xa7b5f7fb, "pci_release_regions" },
	{ 0x9c911c4b, "devl_assert_locked" },
	{ 0xe858137d, "pcie_print_link_status" },
	{ 0xe6bd30d3, "alloc_pages" },
	{ 0x76a10fda, "devl_port_unregister" },
	{ 0x98353cf2, "devl_param_driverinit_value_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2e43c35c, "devlink_priv" },
	{ 0x2f02a43f, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf39b2b1b, "pci_disable_msix" },
	{ 0x7e0d519c, "pci_disable_device" },
	{ 0xd67eae7c, "boot_cpu_data" },
	{ 0x94322e1d, "dma_set_mask" },
	{ 0xd31565cc, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x571ffcd1, "dma_unmap_sg_attrs" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x4b6b84c0, "param_ops_int" },
	{ 0x93076f5b, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7096b50b, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xdf7d019d, "pci_write_config_dword" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x95fdbf78, "device_remove_file" },
	{ 0x776d352c, "dma_map_sg_attrs" },
	{ 0x5594bf36, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0x247085c2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x70c1069f, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3420a69d, "devl_region_create" },
	{ 0x6c41e1e2, "devlink_unregister" },
	{ 0x50f8f793, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x317d3eca, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7c4a2f23, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1f4cae28, "devlink_region_snapshot_id_get" },
	{ 0x4fd5b9f4, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0xc248659e, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x29d2e62, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xa8f70094, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2f706839, "param_array_ops" },
	{ 0xd2abf7cd, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b8c3e95, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x57fc8785, "pci_sriov_get_totalvfs" },
	{ 0x5758b33e, "devlink_register" },
	{ 0xfba31669, "devlink_port_type_clear" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "39323AA1328A73160970E67");
