#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_he_tlv_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_ch_power, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_wow_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0x1cb348e3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0x6f156558, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0xa966fe9a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0xdd2a565e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x2ab5e156, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0x2c5707ea, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0x7ca7d0fa, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0x7ca35201, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0x2f3f62a2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x7f0eec16, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0x2d5bf082, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0x0413da19, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0xfc1be345, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0xebfbf891, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0x53cca9e9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x0a42b7e5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0x65fa50ae, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0xc6cf8ec6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0x9230998f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_he_tlv_v2, 0x5060e62e, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_v2, 0x93870873, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0x9f334c0a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0x75c65ffc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0xd3f3b680, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0xdb47465d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0x7300a318, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0x1f0e177f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0x8c20b682, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0x5a690158, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0xf4fd080e, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0xe4a155c2, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0xc2ca1737, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0x2cc7b8f9, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0xed035538, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0x72753e76, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0xe030fde6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0x7fd9e105, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0x8e2726fa, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0x54f06fcb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0x9dcb41b2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x9cf85f39, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0xea318fa7, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0xa69eebc8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0x80715e51, "_gpl");
SYMBOL_CRC(mt76_connac_get_ch_power, 0x864769cf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0x9850fa8b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0x012abd39, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0xc15b72db, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0xb73da0d1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_gtk_rekey, 0x425605c5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_mode, 0x87b5bd88, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_wow_ctrl, 0x88d7ab93, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0x0db7ed14, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0xbaeb6fd3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0xf60aa24f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0xa58a559c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0x3c773e9c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x01a75545, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0xc829e55d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0xe3067b10, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0x68b4510a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x453c13b5, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0x6e2b0eda, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0x497e8ab8, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x46d17a9f, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0xee14d861, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x30066609, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0x0cd1d163, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0xc282020c, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0xcae431bc, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0x6ae47c86, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0x880b1422, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x5aa363ba, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0xc024bc4d, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0x58ca5c16, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0x60e195b8, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0xe4c6418e, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0x874d0aff, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0xb962524f, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0x55dda92f, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0xb6c6f1a5, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0x92e39f29, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0x547cc99a, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0x5b13cbf7, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0x35f77370, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3904545a, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0x68fdccaa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2643db1b, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5ccf520f, "mt76_tx_status_skb_get" },
	{ 0x9723960b, "mt76_tx_status_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x71e43c83, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa21feb67, "request_firmware" },
	{ 0x9fce430a, "mt76_get_rate" },
	{ 0xb53518a0, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56a8b2a1, "ieee80211_beacon_loss" },
	{ 0x9db9f0c5, "__mt76_tx_complete_skb" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xce5340ff, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xadeb00d5, "wake_up_process" },
	{ 0x4758768b, "ieee80211_find_sta" },
	{ 0x49c94d2a, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7d85e5ae, "mt76_tx" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf84c407d, "_dev_info" },
	{ 0xc7e9039c, "mt76_init_queue" },
	{ 0x3f8effe2, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x89afeb11, "devm_kfree" },
	{ 0xadce4d69, "_dev_err" },
	{ 0xaed3b2a9, "skb_pull" },
	{ 0xf19e69ab, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x35101c1f, "skb_push" },
	{ 0xc9f0cc98, "ieee80211_wake_queues" },
	{ 0x7669a88b, "mt76_mcu_send_and_get_msg" },
	{ 0x1a9f1cce, "ieee80211_iter_keys_rcu" },
	{ 0x76e0736b, "__mt76_mcu_msg_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x58e6960d, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x13ea627, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x72e6fae9, "mt76_get_rate_power_limits" },
	{ 0xdd891a77, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e710596, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf876ce08, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x2b3bddf3, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "3249D3DBCCE415A4B487A7A");
