#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x2a0a954c, "_gpl");
SYMBOL_CRC(mt76s_rr, 0xcaccf02f, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x50da3ade, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0xed309cd5, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xaed75919, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x18c30851, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x1b8f7c58, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x80b92445, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x6ee85478, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x8f042340, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0xd4606786, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0xd6d7b310, "_gpl");
SYMBOL_CRC(mt76s_init, 0x07856094, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0xd6014576, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x6a00d795, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0xabb561f2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbf303de, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0x4fd1b383, "__put_devmap_managed_page_refs" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x58b8ea9c, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x883bd8e0, "pskb_expand_head" },
	{ 0x7e6800b1, "mt76_tx_status_check" },
	{ 0xadeb00d5, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3dd56419, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9ef569bd, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd810a9d5, "sdio_readsb" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfcc38916, "__SCK__tp_func_dev_irq" },
	{ 0xc6d4b07, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x450826da, "kthread_stop" },
	{ 0xde3535ac, "__alloc_pages" },
	{ 0x7dd715b2, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x32b3c1b2, "mt76_queue_tx_complete" },
	{ 0xa29c2b12, "kthread_create_on_node" },
	{ 0xfcbeebde, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7288aac1, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa07358ee, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf880279b, "sdio_claim_irq" },
	{ 0x573aff79, "mt76_skb_adjust_pad" },
	{ 0xc9a0a2a9, "sdio_enable_func" },
	{ 0x867e7174, "sdio_writesb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa098c0af, "sdio_release_host" },
	{ 0x13caaa74, "sdio_disable_func" },
	{ 0x87f265d2, "sdio_set_block_size" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0x68fdccaa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x11d987d4, "sdio_claim_host" },
	{ 0x2643db1b, "consume_skb" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "7AD9943EEFFC185D200FE59");
