#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_mac_sta_add, 0xfb65f7a6, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0xf8bf716f, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x5a2fce60, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0xfdd066be, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x6484d6e1, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0xdc07072e, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x598ee8b4, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x52b2e4d9, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0xb9ccae76, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x0deb098a, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0xfce82bde, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0xd5b4501c, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0x4c5549dc, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x6970cbb0, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0xa8a47e00, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0xf9ea2fe3, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0x8bbf1408, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x26ad1b08, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x840066d1, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0xb8452386, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x0c27d628, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0xde44cb2f, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xf36c4da6, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x5db4352d, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x58f72461, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0xb934c875, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x9c7a7352, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xde3cf51e, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x8c2f7f42, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x98ebd69c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c68eb9e, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xf84c407d, "_dev_info" },
	{ 0xc15b72db, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xcb364d5d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x558a0c6, "mt76_rx" },
	{ 0x54f06fcb, "mt76_connac_mcu_sched_scan_req" },
	{ 0x413da19, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0xe030fde6, "mt76_connac_mcu_uni_add_bss" },
	{ 0x6fe1701, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7d4554ae, "wiphy_to_ieee80211_hw" },
	{ 0xc74f461e, "debugfs_attr_read" },
	{ 0x7fd9e105, "mt76_connac_mcu_hw_scan" },
	{ 0x3f8effe2, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdf60d497, "ieee80211_queue_delayed_work" },
	{ 0xf5cfde03, "mt76_eeprom_init" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8002a4b6, "perf_trace_run_bpf_submit" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x3c5a5596, "simple_open" },
	{ 0xaed3b2a9, "skb_pull" },
	{ 0x6d305dda, "debugfs_create_file_unsafe" },
	{ 0xf19e69ab, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x66cbb144, "simple_attr_release" },
	{ 0xb1a6065a, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2f3f62a2, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0x23a4daa6, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x35101c1f, "skb_push" },
	{ 0x4ec02e11, "mt76_set_channel" },
	{ 0x60199d7b, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xc9f0cc98, "ieee80211_wake_queues" },
	{ 0x7669a88b, "mt76_mcu_send_and_get_msg" },
	{ 0xc5e16510, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc291652c, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf1651248, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x76e0736b, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xcae431bc, "mt76_connac_pm_dequeue_skbs" },
	{ 0xe3067b10, "mt76_connac_mcu_set_pm" },
	{ 0x76f892fd, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x5862253d, "devm_hwmon_device_register_with_groups" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x58e6960d, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd0c2ec3a, "debugfs_create_u32" },
	{ 0xa966fe9a, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x367ff814, "__SCK__tp_func_mac_txdone" },
	{ 0x92392402, "mt76_sta_state" },
	{ 0x478bd3ac, "ieee80211_ready_on_channel" },
	{ 0x13ea627, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd2a565e, "mt76_connac_mcu_init_download" },
	{ 0xdc6d0316, "devm_kasprintf" },
	{ 0x3925f8fb, "cfg80211_reg_can_beacon" },
	{ 0x1af0f878, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7f0eec16, "mt76_connac_mcu_add_nested_tlv" },
	{ 0xdd64e639, "strscpy" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x8e2726fa, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x7d84ab39, "debugfs_create_file" },
	{ 0x72e6fae9, "mt76_get_rate_power_limits" },
	{ 0x58616ab2, "trace_event_buffer_reserve" },
	{ 0xfeb60a09, "ieee80211_sched_scan_results" },
	{ 0xdd891a77, "ieee80211_scan_completed" },
	{ 0x73b95f64, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5f697a3b, "mt76_insert_ccmp_hdr" },
	{ 0xdb47465d, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1907c9d, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x544f4fa1, "mt76_sw_scan_complete" },
	{ 0xecbb7d5, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1cb348e3, "mt76_connac_mcu_start_firmware" },
	{ 0x92631cd9, "____mt76_poll_msec" },
	{ 0xd3f3b680, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x453c13b5, "mt76_connac_mcu_rdd_cmd" },
	{ 0xee4594f0, "seq_printf" },
	{ 0x80715e51, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8e710596, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9fa99c28, "mt76_unregister_phy" },
	{ 0x87ddd792, "mt76_register_phy" },
	{ 0xa42b7e5, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xf876ce08, "mt76_put_txwi" },
	{ 0x979cbf1, "mt76_wcid_cleanup" },
	{ 0xc947f3dd, "seq_puts" },
	{ 0xe6611403, "ieee80211_radar_detected" },
	{ 0xbaeb6fd3, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x2d5bf082, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x186acfb3, "single_release" },
	{ 0xe416f8b5, "mt76_sw_scan" },
	{ 0x86af5b97, "mt76_queues_read" },
	{ 0xdb7ed14, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x88de4dde, "mt76_sta_pre_rcu_remove" },
	{ 0x340a6c1c, "mt76_register_debugfs_fops" },
	{ 0x9230998f, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0xfc1be345, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xf4fd080e, "mt76_connac_mcu_sta_ba" },
	{ 0x1a75545, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0xc2b28b75, "ieee80211_queue_work" },
	{ 0x14d3d011, "napi_schedule_prep" },
	{ 0x7300a318, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x6f156558, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0xceaf41dd, "__mt76_poll" },
	{ 0xa43313e6, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x33a9b799, "debugfs_create_u8" },
	{ 0x6ac7186a, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x7da52171, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xae50a77, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xebfbf891, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0xe737336a, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb73da0d1, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x9850fa8b, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xdbfb5904, "ieee80211_sta_register_airtime" },
	{ 0xc829e55d, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x9f334c0a, "mt76_connac_mcu_sta_tlv" },
	{ 0x86e610e7, "device_set_wakeup_enable" },
	{ 0x9034144b, "mt76_tx_worker_run" },
	{ 0xba673a7, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3904545a, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb98f39ec, "simple_attr_open" },
	{ 0xe2092141, "ieee80211_iterate_interfaces" },
	{ 0x42c80d84, "debugfs_attr_write" },
	{ 0x65fa50ae, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x9dcb41b2, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0x68fdccaa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x79adf833, "firmware_request_nowarn" },
	{ 0x2643db1b, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5ccf520f, "mt76_tx_status_skb_get" },
	{ 0xb6206d6d, "trace_raw_output_prep" },
	{ 0x9723960b, "mt76_tx_status_lock" },
	{ 0x54a8f50b, "__trace_trigger_soft_disabled" },
	{ 0x7ca35201, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x453a6cbb, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x10385815, "ieee80211_free_hw" },
	{ 0x2ab5e156, "mt76_connac_mcu_set_channel_domain" },
	{ 0x1f0e177f, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xde507742, "mt76_release_buffered_frames" },
	{ 0xa21feb67, "request_firmware" },
	{ 0x429c8b23, "trace_event_printf" },
	{ 0x93491554, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd0bc3b48, "__tracepoint_mac_txdone" },
	{ 0xee14d861, "mt76_connac_pm_wake" },
	{ 0x9fce430a, "mt76_get_rate" },
	{ 0xa4e82ebf, "mt76_wake_tx_queue" },
	{ 0xa2c636ab, "ieee80211_tx_status_ext" },
	{ 0xd5737eb9, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9cf85f39, "mt76_connac_mcu_chip_config" },
	{ 0xe90c306f, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c20b682, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x9db9f0c5, "__mt76_tx_complete_skb" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0xf418d581, "seq_lseek" },
	{ 0xa531ffcb, "mt76_set_stream_caps" },
	{ 0xeee3ceee, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xce5340ff, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x731c2423, "cfg80211_chandef_valid" },
	{ 0x12abd39, "mt76_connac_mcu_update_arp_filter" },
	{ 0x7ca7d0fa, "mt76_connac_mcu_set_vif_ps" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0x4c49d31, "mt76_mcu_rx_event" },
	{ 0x1f1e825, "mt76_alloc_phy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc282020c, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb431b33, "mt76_wcid_init" },
	{ 0x7e6800b1, "mt76_tx_status_check" },
	{ 0xadeb00d5, "wake_up_process" },
	{ 0xcd1d163, "mt76_connac_free_pending_tx_skbs" },
	{ 0x8641646d, "skb_queue_purge_reason" },
	{ 0x30066609, "mt76_connac_power_save_sched" },
	{ 0xb33f1ebf, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb2cec378, "ieee80211_send_bar" },
	{ 0xc6cf8ec6, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x5aa363ba, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a03c0d9, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7d85e5ae, "mt76_tx" },
	{ 0xfe5616f4, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x9ef569bd, "__alloc_skb" },
	{ 0x2c5707ea, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "D6CF0BCD9A75595E7227C2B");
