#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde507742, "mt76_release_buffered_frames" },
	{ 0xa21feb67, "request_firmware" },
	{ 0x93491554, "mt76_get_txpower" },
	{ 0xc248659e, "__pci_register_driver" },
	{ 0xad77f278, "mt76x02_dma_disable" },
	{ 0xa4e82ebf, "mt76_wake_tx_queue" },
	{ 0xc176b086, "mt76x02e_init_beacon_config" },
	{ 0xe90c306f, "mt76_get_antenna" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2cc673c8, "pci_set_power_state" },
	{ 0x7a5b5e2c, "mt76x02_sta_ps" },
	{ 0x9a6349d3, "mt76x02_sta_rate_tbl_update" },
	{ 0x24a2287d, "kthread_park" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0xfaa4bcac, "mt76_dma_cleanup" },
	{ 0x51511655, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc0aad48c, "mt76x02_reconfig_complete" },
	{ 0x37fdcb22, "mt76_alloc_device" },
	{ 0xadeb00d5, "wake_up_process" },
	{ 0xaf8239b6, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfa67d47e, "mt76x02_update_channel" },
	{ 0xfe5616f4, "__napi_schedule" },
	{ 0x71b82b69, "mt76_pci_disable_aspm" },
	{ 0xf84c407d, "_dev_info" },
	{ 0x24d7bfd1, "mt76x02_configure_filter" },
	{ 0xd15f30a6, "mt76_free_device" },
	{ 0xa81aa8cd, "mt76x0_chip_onoff" },
	{ 0xef1e8a97, "mt76x02_queue_rx_skb" },
	{ 0x61c004e7, "kthread_unpark" },
	{ 0xa7f80e87, "pcim_iomap_regions" },
	{ 0xdf60d497, "ieee80211_queue_delayed_work" },
	{ 0xaecbcb39, "mt76x0_config" },
	{ 0xa3adf871, "mt76x0_register_device" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x54fde313, "mt76x02_rx_poll_complete" },
	{ 0xb3977cd2, "mt76x0_phy_calibrate" },
	{ 0x78f112f1, "mt76_set_tim" },
	{ 0xfe0f687e, "mt76x02_sw_scan_complete" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0xbb19ca30, "napi_enable" },
	{ 0x4397bb8a, "mt76x02_tx" },
	{ 0xe0b86826, "mt76_mmio_init" },
	{ 0x23f83175, "mt76x02_sta_remove" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x35b5c47, "mt76x02_sta_add" },
	{ 0x85625604, "mt76_unregister_device" },
	{ 0x1dab8ee8, "pci_restore_state" },
	{ 0x61526f47, "mt76x0_mac_stop" },
	{ 0x76f892fd, "mt76_get_survey" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0x3a3cff8f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x45aa10, "mt76x02_set_rts_threshold" },
	{ 0x224fd8b5, "mt76x02_tx_complete_skb" },
	{ 0x92392402, "mt76_sta_state" },
	{ 0xc01b766f, "mt76x02_mcu_msg_send" },
	{ 0x7ac5b29e, "mt76x0_init_hardware" },
	{ 0x31db7474, "mt76x02_bss_info_changed" },
	{ 0x679cdf1d, "pci_enable_wake" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x11576695, "mt76x02_add_interface" },
	{ 0x92631cd9, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x6023ffc6, "mt76x02_tx_prepare_skb" },
	{ 0x6b1ef62e, "mt76x02_mcu_cleanup" },
	{ 0x40de5079, "mt76x02_ampdu_action" },
	{ 0x917872dc, "mt76x02_conf_tx" },
	{ 0x94322e1d, "dma_set_mask" },
	{ 0xe416f8b5, "mt76_sw_scan" },
	{ 0x88de4dde, "mt76_sta_pre_rcu_remove" },
	{ 0x4ad938a2, "pcim_iomap_table" },
	{ 0x14d3d011, "napi_schedule_prep" },
	{ 0xedc63287, "napi_disable" },
	{ 0xceaf41dd, "__mt76_poll" },
	{ 0xc8747c29, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x5a5effe9, "mt76x02_mac_start" },
	{ 0xd15dc5a, "mt76x02_remove_interface" },
	{ 0xb56bb49b, "mt76x02_dma_init" },
	{ 0x247085c2, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x621a4f4c, "devm_request_threaded_irq" },
	{ 0x61b2e66a, "mt76x0_set_sar_specs" },
	{ 0x9cd7c213, "pci_choose_state" },
	{ 0x9e7aa045, "mt76x02_set_ethtool_fwver" },
	{ 0x942e0b1c, "mt76x02_set_key" },
	{ 0xad33abde, "mt76x02_mcu_parse_response" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,mt76x0-common,mac80211");

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "89E00C21F06663F58D90809");
