#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0xcd2025c8, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x69063ea1, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x9b5d2d03, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0xafda6f3d, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x3d32242f, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0xb0bf7c5c, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xf5004a75, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x62ef4c09, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0xff8eec1e, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x0a1a429f, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x512c52ea, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x744f99d7, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x01cab0ee, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x0d8e99af, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x5f755719, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0xa401d90c, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x6d1f8c80, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x03b8f5aa, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xe9a20c80, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x70085c06, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x7dbd5b48, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0xb268772e, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0xd42faa85, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x24e75428, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x29b04735, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x219b67ac, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0xc2d1fff4, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x1c6f13d5, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x26ca358c, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0xcc4e1747, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0xdffc7907, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x7f17d022, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0xf7708f76, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x327f7a6e, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x6a762c3b, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0xc5ddbd9f, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xea1f9386, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x3c213168, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x89d03d4a, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0xfe280457, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x9c4ed45b, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0xa02e0425, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0xcfcac639, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x2b55f94d, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0xbb8c2173, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0xafe299fe, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0xa9ffc9c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68fdccaa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2643db1b, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x71e43c83, "dma_unmap_page_attrs" },
	{ 0xa21feb67, "request_firmware" },
	{ 0x25c84371, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa2c636ab, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0x99125b5d, "led_classdev_unregister" },
	{ 0xd1a5dd9d, "ieee80211_register_hw" },
	{ 0x4dc3dffc, "__ieee80211_create_tpt_led_trigger" },
	{ 0xce5340ff, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x486c2970, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe7b438e3, "dev_driver_string" },
	{ 0xcd6b99a8, "ieee80211_tx_status_skb" },
	{ 0x7a9eaa40, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7fb1fbc0, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf84c407d, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xdf60d497, "ieee80211_queue_delayed_work" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x7a8db35a, "ieee80211_ctstoself_get" },
	{ 0xaed3b2a9, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x35101c1f, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x31830410, "ieee80211_free_txskb" },
	{ 0xf80ce98c, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x167247de, "ieee80211_stop_queue" },
	{ 0xf5b9fd57, "__netdev_alloc_skb" },
	{ 0x13ea627, "ieee80211_stop_queues" },
	{ 0x88594dd1, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e7ca7bd, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd9ffca8b, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x73b95f64, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2b001a4d, "led_classdev_resume" },
	{ 0x1075ae7c, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xae6fffbf, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47c4fe19, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc2b28b75, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x2b3bddf3, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0xd97830dc, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe2092141, "ieee80211_iterate_interfaces" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "E6653905DE86F93A0EECCE7");
