#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x4622c03f, "");
SYMBOL_CRC(rtw_pci_probe, 0xd327d457, "");
SYMBOL_CRC(rtw_pci_remove, 0x59dcd597, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x6ac87a1a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfdee870d, "rtw_chip_info_setup" },
	{ 0xd96fe706, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3bcbfe60, "rtw_unregister_hw" },
	{ 0xadce4d69, "_dev_err" },
	{ 0xaed3b2a9, "skb_pull" },
	{ 0x74a22153, "rtw_tx_fill_tx_desc" },
	{ 0x35101c1f, "skb_push" },
	{ 0xa011c507, "dma_alloc_attrs" },
	{ 0xbb19ca30, "napi_enable" },
	{ 0xe6e3b7d1, "rtw_core_init" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcd149e7, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd6485dfc, "pci_iounmap" },
	{ 0x6ffabc53, "dma_sync_single_for_cpu" },
	{ 0xcfaefab7, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0x3a3cff8f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x167247de, "ieee80211_stop_queue" },
	{ 0xf5b9fd57, "__netdev_alloc_skb" },
	{ 0x565e510e, "rtw_rx_stats" },
	{ 0x3b6c070a, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x763e6fee, "rtw_register_hw" },
	{ 0x2776f2a8, "dma_free_attrs" },
	{ 0xf1907c9d, "param_ops_bool" },
	{ 0xa7b5f7fb, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1075ae7c, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x25024d, "rtw_core_deinit" },
	{ 0x997198f0, "rtw_ops" },
	{ 0x7e0d519c, "pci_disable_device" },
	{ 0x14d3d011, "napi_schedule_prep" },
	{ 0xedc63287, "napi_disable" },
	{ 0x2b3bddf3, "dev_kfree_skb_any_reason" },
	{ 0xa99f872d, "rtw_power_mode_change" },
	{ 0x69baacf1, "rtw_tx_write_data_h2c_get" },
	{ 0xeaa6516a, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb037129, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x638c078a, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xd97830dc, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x61c1870e, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7154743d, "rtw_tx_queue_mapping" },
	{ 0x4dbff257, "pcie_capability_read_word" },
	{ 0x621a4f4c, "devm_request_threaded_irq" },
	{ 0x317d3eca, "pci_enable_device" },
	{ 0x68fdccaa, "skb_put" },
	{ 0x2643db1b, "consume_skb" },
	{ 0x9ea19132, "pci_iomap" },
	{ 0x4c32973d, "pci_alloc_irq_vectors" },
	{ 0xf9b07ce8, "netif_napi_add_weight" },
	{ 0x8336234e, "skb_dequeue" },
	{ 0x10385815, "ieee80211_free_hw" },
	{ 0x71e43c83, "dma_unmap_page_attrs" },
	{ 0x29d2e62, "dma_sync_single_for_device" },
	{ 0xd2abf7cd, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0xdd08471d, "dev_kfree_skb_irq_reason" },
	{ 0x2cc673c8, "pci_set_power_state" },
	{ 0x5eb33962, "__netif_napi_del" },
	{ 0x486c2970, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe7b438e3, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7fb1fbc0, "dma_map_page_attrs" },
	{ 0xad1546d, "napi_complete_done" },
	{ 0x3c1387b6, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa41a87d4, "devm_free_irq" },
	{ 0xfe5616f4, "__napi_schedule" },
	{ 0xc994346a, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "4EF7971F478651556D3FFF6");
