#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x3dc9569b, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x6f9f4489, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x2f70d65b, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xa6906171, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0xe67ff3a3, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0xa66c3edc, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x2c1710f9, "");
SYMBOL_CRC(rtw89_core_rx, 0x04aacd4b, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xba65600c, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x0e155433, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x991c077b, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x162d7bff, "");
SYMBOL_CRC(rtw89_core_init, 0x5f88f54f, "");
SYMBOL_CRC(rtw89_core_deinit, 0x7c930c15, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x4ec0e36e, "");
SYMBOL_CRC(rtw89_core_register, 0x5fcd330b, "");
SYMBOL_CRC(rtw89_core_unregister, 0xc91e0ce2, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x56ba17b4, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x521d7c02, "");
SYMBOL_CRC(rtw89_ops, 0x35e99c7b, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xd70f957b, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x2e5b90c8, "");
SYMBOL_CRC(rtw89_mac_size, 0x3e3298fc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x6a72e6f8, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x2ba726e8, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x2b695950, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0xf785d37a, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x7735b156, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0xe7519fc3, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0x86f00e8d, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xfba7848c, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x6802b129, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x8dab0482, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x8c09d720, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x23037b06, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xb890d9aa, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0x87c65fd5, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x7dd6e73f, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xb1bbbfd5, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x4205e0f8, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x4e224046, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xda5cac61, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xc72c30da, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xb9e26196, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x2eaaf3d2, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x63ec5355, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x47a32d69, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xd26ff427, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x074f8273, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0xdbd62bf7, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0xfac12cc2, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0xff4fd402, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x823dec15, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x87a0e5a3, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x5b662414, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0xc3b3d7d8, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x446f612f, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x227e8529, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x9cf4e3d2, "");
SYMBOL_CRC(rtw89_ser_notify, 0xfd1ff543, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9f0cc98, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x1a9f1cce, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x31830410, "ieee80211_free_txskb" },
	{ 0xf1651248, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcd149e7, "ieee80211_alloc_hw_nm" },
	{ 0x3743b339, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf5b9fd57, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x478bd3ac, "ieee80211_ready_on_channel" },
	{ 0x13ea627, "ieee80211_stop_queues" },
	{ 0xa72711b4, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xdd891a77, "ieee80211_scan_completed" },
	{ 0x73b95f64, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1907c9d, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1075ae7c, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xee4594f0, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xae6fffbf, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb0851d7a, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x46ae4ebf, "cfg80211_chandef_create" },
	{ 0xec413858, "ieee80211_cqm_rssi_notify" },
	{ 0xc947f3dd, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xc2b28b75, "ieee80211_queue_work" },
	{ 0x14d3d011, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xedc63287, "napi_disable" },
	{ 0x2b3bddf3, "dev_kfree_skb_any_reason" },
	{ 0xeb037129, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd97830dc, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x92875305, "ieee80211_stop_tx_ba_session" },
	{ 0x86e610e7, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4eb1db40, "ieee80211_connection_loss" },
	{ 0x1a43330d, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6ab8a20f, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x579f59a3, "__ieee80211_schedule_txq" },
	{ 0xaf75b5eb, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x769b4ee2, "cfg80211_bss_iter" },
	{ 0x68fdccaa, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2643db1b, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf9b07ce8, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x10385815, "ieee80211_free_hw" },
	{ 0xef8f6857, "ieee80211_probereq_get" },
	{ 0x512c6f3d, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa21feb67, "request_firmware" },
	{ 0xb1663398, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb53518a0, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xacd279bb, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x6a2c499e, "ieee80211_nullfunc_get" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0x9e217728, "ieee80211_pspoll_get" },
	{ 0xd1a5dd9d, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x926fe172, "ieee80211_restart_hw" },
	{ 0x5eb33962, "__netif_napi_del" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x883bd8e0, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4758768b, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfe5616f4, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xf84c407d, "_dev_info" },
	{ 0xc994346a, "skb_queue_tail" },
	{ 0xcb364d5d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7d4554ae, "wiphy_to_ieee80211_hw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xdf60d497, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x236b6978, "ieee80211_next_txq" },
	{ 0x4ca41d59, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x23a4daa6, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x35101c1f, "skb_push" },
	{ 0xbb19ca30, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "F1F9E20F9213E8C974295F1");
