#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0xbf3798ed, "");
SYMBOL_CRC(ntb_unregister_client, 0x72f4d958, "");
SYMBOL_CRC(ntb_register_device, 0x16c0316c, "");
SYMBOL_CRC(ntb_unregister_device, 0x72f21a45, "");
SYMBOL_CRC(ntb_set_ctx, 0x3a865b3e, "");
SYMBOL_CRC(ntb_clear_ctx, 0xf38a923e, "");
SYMBOL_CRC(ntb_link_event, 0xf964a10c, "");
SYMBOL_CRC(ntb_db_event, 0xed500cdd, "");
SYMBOL_CRC(ntb_msg_event, 0x2385a2be, "");
SYMBOL_CRC(ntb_default_port_number, 0x7acb975c, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xf86022e0, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0xfe61533e, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x8f95aded, "");
SYMBOL_CRC(ntb_msi_init, 0xa6c2ce4d, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x9fabf8d7, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x490b14ce, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x9c685634, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xcfd81772, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x76975479, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x4b8d291f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec50c0b4, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xa81eccb, "devm_iounmap" },
	{ 0x788fcd51, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x79b2bf8e, "devres_destroy" },
	{ 0xff46c83c, "msi_unlock_descs" },
	{ 0xb511317a, "devm_ioremap" },
	{ 0x2ce77b17, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x79b4e630, "msi_lock_descs" },
	{ 0x1868f36d, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc1e7efd0, "put_device" },
	{ 0xa41a87d4, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8e76c02a, "bus_unregister" },
	{ 0x89afeb11, "devm_kfree" },
	{ 0x9ed93198, "irq_get_irq_data" },
	{ 0x83e28a4d, "__devres_alloc_node" },
	{ 0x3ee816b9, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x44fd3d08, "device_register" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2edbc9ae, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x79046c08, "msi_next_desc" },
	{ 0xbf0f34a2, "driver_register" },
	{ 0x4f75895, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x621a4f4c, "devm_request_threaded_irq" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
