#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x6e8ea6f3, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x38bef30e, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xa9cd7231, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x71024036, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x9a8551d8, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xb499abd0, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x34aa9748, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xbd993b7c, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x63789944, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x6a64719a, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x47fe8562, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xacce9249, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xd4e866d6, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xc627e59d, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x77d2433e, "");
SYMBOL_CRC(nf_nat_follow_master, 0x512b7b5c, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xb00a6dde, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x06136e2d, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x28ca2bf9, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xcd9ef281, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x8a241cfc, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xe2620a99, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x883bd8e0, "pskb_expand_head" },
	{ 0x76f79511, "register_pernet_subsys" },
	{ 0xf01efc96, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7bfe80b, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7351045a, "ipv6_skip_exthdr" },
	{ 0x4b6e2859, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa6114a35, "module_put" },
	{ 0x95b7d9a8, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xef19d28, "nf_ct_expect_related_report" },
	{ 0x13355a4b, "ip_route_me_harder" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x53ba3f76, "nf_hook_entries_delete_raw" },
	{ 0xf4eda722, "skb_ensure_writable" },
	{ 0x6416e63a, "nf_unregister_net_hooks" },
	{ 0x484dfd2f, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xf44d38ae, "unregister_pernet_subsys" },
	{ 0x519ed21f, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17c18871, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xb2dc6b21, "nf_ip_checksum" },
	{ 0xe4f84530, "register_btf_kfunc_id_set" },
	{ 0x77f22adc, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x408bc091, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xae1a8d11, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x60a97151, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x14c1fd15, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf337c9f, "dst_release" },
	{ 0xcb65f98, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x7d5b6d69, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8c041d70, "nf_ct_ext_add" },
	{ 0x85cdb31d, "__do_once_done" },
	{ 0xf2170964, "nf_conntrack_find_get" },
	{ 0xf5af3eaa, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x74686551, "nf_ip6_checksum" },
	{ 0xbbc9ab3c, "skb_copy_bits" },
	{ 0x21b8ce8d, "nf_hook_entries_insert_raw" },
	{ 0x49e89c3d, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xd37428e4, "nf_ct_seqadj_set" },
	{ 0x68fdccaa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1f43e2dd, "nf_ct_helper_expectfn_unregister" },
	{ 0xeaf87683, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x34fcef0, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xa18bf1ec, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "776F92A39BF9ED5BA4C1140");
