#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x3e2464ca, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0x473cea5e, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0xb7e38436, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x071bfc72, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x8cf430bc, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xaaf9a89f, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x890a2a5c, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0xe710c93f, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x2fa0f236, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0xc2837a07, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x742d8a32, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x6fea8702, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x06838494, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0x323d4a4b, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x5e1e3bd9, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0xe84b3d06, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x27250975, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x621a4f4c, "devm_request_threaded_irq" },
	{ 0x6e52a444, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8f624b49, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf84c407d, "_dev_info" },
	{ 0x99ae6012, "regmap_multi_reg_write_bypassed" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x1781afe1, "gpiod_put_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2770c039, "regmap_read" },
	{ 0x8a4e2ec2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xaa09129d, "_dev_crit" },
	{ 0xc5f4fa60, "regmap_update_bits_base" },
	{ 0x4d4ceabd, "dev_err_probe" },
	{ 0x692f5caa, "__pm_runtime_suspend" },
	{ 0x733a2269, "regmap_register_patch" },
	{ 0x8dc35f38, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x14121929, "gpiod_get_value_cansleep" },
	{ 0xcde15f9, "regcache_cache_only" },
	{ 0x4a1467fb, "regcache_sync" },
	{ 0xe97d06d8, "regmap_write" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4D3C37B66F37A801B0131B8");
