#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x5cac32c4, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x20e27378, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x72207d4c, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0xddebe470, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x11053b46, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0x46002ab4, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x62bfad3e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x122c3a7e, "_printk" },
	{ 0x3e17eb93, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xccfb228, "video_devdata" },
	{ 0x5b715494, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xc024b2bb, "i2c_del_adapter" },
	{ 0xd0f6eda, "vb2_plane_cookie" },
	{ 0x8fafc51c, "vb2_ioctl_dqbuf" },
	{ 0xd7e23627, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x835a1da3, "vb2_ioctl_prepare_buf" },
	{ 0xa011c507, "dma_alloc_attrs" },
	{ 0xa2e61e28, "vb2_buffer_done" },
	{ 0x68c7ba35, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7f653870, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf00c6d23, "vb2_ioctl_qbuf" },
	{ 0x71ba80c, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3a3cff8f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfc63eab6, "vb2_fop_read" },
	{ 0x6c067140, "v4l2_device_register" },
	{ 0xb50d6dae, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x2776f2a8, "dma_free_attrs" },
	{ 0x646a701b, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2f027831, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc413bbc6, "vb2_ioctl_streamon" },
	{ 0xd913433e, "vb2_fop_poll" },
	{ 0x511dda5f, "v4l2_ctrl_new_std" },
	{ 0x62d2b0e1, "v4l2_ctrl_handler_free" },
	{ 0x2d2b409, "v4l2_device_unregister" },
	{ 0x7e0d519c, "pci_disable_device" },
	{ 0x94322e1d, "dma_set_mask" },
	{ 0x7a9a8878, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x4b6b84c0, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4c8608b2, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6caf3058, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x4af34097, "vb2_ioctl_reqbufs" },
	{ 0x41702606, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x75c16821, "vb2_dma_sg_memops" },
	{ 0x2183841f, "video_ioctl2" },
	{ 0x317d3eca, "pci_enable_device" },
	{ 0x726c31a3, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x39cb6df1, "vb2_ops_wait_finish" },
	{ 0xc248659e, "__pci_register_driver" },
	{ 0x20b12da4, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x2f706839, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xcebfc070, "vb2_ioctl_querybuf" },
	{ 0xfdfb0186, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x51511655, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "4BBCE74D4029F4F21F52B2F");
