#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf00b350, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xafbca726, "mpt_put_msg_frame" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3bee4fe7, "mpt_HardResetHandler" },
	{ 0xb8a84a01, "mpt_free_msg_frame" },
	{ 0xc3d131be, "scsi_is_host_device" },
	{ 0xa011c507, "dma_alloc_attrs" },
	{ 0xd30dc437, "mpt_config" },
	{ 0x2776f2a8, "dma_free_attrs" },
	{ 0x721269c3, "scsi_device_lookup_by_target" },
	{ 0x52dac460, "sdev_prefix_printk" },
	{ 0x93076f5b, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f7cbc80, "mptscsih_slave_destroy" },
	{ 0x5ee51c24, "mptscsih_event_process" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21cda99a, "mptscsih_resume" },
	{ 0x319c54d9, "mptscsih_ioc_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x664a08d1, "spi_dv_device" },
	{ 0x2d3e6d6b, "spi_display_xfer_agreement" },
	{ 0xf56b641d, "__scsi_iterate_devices" },
	{ 0xcc8e24d2, "mptscsih_slave_configure" },
	{ 0xfcc79cdf, "mpt_findImVolumes" },
	{ 0x36f0cb98, "scsi_scan_target" },
	{ 0x837c99cd, "mptscsih_raid_id_to_num" },
	{ 0x82785483, "mptscsih_suspend" },
	{ 0xc23ce617, "mptscsih_shutdown" },
	{ 0x83be731c, "mptscsih_info" },
	{ 0xe72f59dc, "mptscsih_abort" },
	{ 0xb07b4e25, "mptscsih_dev_reset" },
	{ 0x4e4eeea3, "mptscsih_bus_reset" },
	{ 0x1433dd77, "mptscsih_host_reset" },
	{ 0xc35d4cd2, "mptscsih_change_queue_depth" },
	{ 0x4bc4d19c, "mptscsih_bios_param" },
	{ 0xf5d4e441, "mptscsih_show_info" },
	{ 0x58da794d, "mptscsih_host_attr_groups" },
	{ 0x4b6b84c0, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd147ebdd, "spi_attach_transport" },
	{ 0xeee19ce8, "mptscsih_io_done" },
	{ 0x79c6c05d, "mpt_register" },
	{ 0x2d6d8c5d, "mptscsih_taskmgmt_complete" },
	{ 0xa6dc6c95, "mptscsih_scandv_complete" },
	{ 0xfc26d655, "mpt_event_register" },
	{ 0xfd9adc7, "mpt_reset_register" },
	{ 0xc248659e, "__pci_register_driver" },
	{ 0x87df2bfa, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0x4741af94, "scsi_remove_host" },
	{ 0xec9b6635, "mptscsih_remove" },
	{ 0x2afddd67, "mptscsih_qcmd" },
	{ 0xed5881fe, "mptscsih_is_phys_disk" },
	{ 0x15c4bbea, "scsi_done" },
	{ 0x51511655, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0xf4088804, "mpt_attach" },
	{ 0x3205ece7, "scsi_host_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88cda0a0, "scsi_add_host_with_dma" },
	{ 0x3da9d329, "scsi_scan_host" },
	{ 0xc6e66ad9, "mptscsih_IssueTaskMgmt" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mptbase,scsi_mod,mptscsih,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E361F7B0A597D69C2904EB7");
