#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x406f1802, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0xe4dc544c, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x34dbf595, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0xaa803c87, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x6e5198b0, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0xf00678eb, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0xd9b524f3, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x0898c063, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0xa7bb9b3d, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0xcb24a2a3, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0xf085b8fc, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x2caf06cd, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x8ef75c5a, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0xfc197b9b, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x1535a468, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x4f6911e6, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x9cb98d62, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0x4c231ba1, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x0787d04b, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0xa9b3ed6d, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0xa44e6518, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x8dca0a92, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x2940184e, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x2c82cc0c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc248659e, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x41c8bf97, "pci_disable_msi" },
	{ 0xd2abf7cd, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x51511655, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd10c103d, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x21df491d, "pm_schedule_suspend" },
	{ 0xe9852f31, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc19cba5, "pci_enable_msi" },
	{ 0xadce4d69, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x954f099c, "idr_preload" },
	{ 0x97ba6a37, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa011c507, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x45170088, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0x3a3cff8f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x86beba89, "pm_runtime_forbid" },
	{ 0x2776f2a8, "dma_free_attrs" },
	{ 0x5871daf8, "pm_runtime_allow" },
	{ 0x8a4e2ec2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1907c9d, "param_ops_bool" },
	{ 0xa7b5f7fb, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd00f1b0f, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7e0d519c, "pci_disable_device" },
	{ 0xb605d8b6, "mfd_remove_devices" },
	{ 0x94322e1d, "dma_set_mask" },
	{ 0x571ffcd1, "dma_unmap_sg_attrs" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x7a9a8878, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8dc35f38, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xdf7d019d, "pci_write_config_dword" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x776d352c, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4dbff257, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x87f7eb2c, "pci_find_ext_capability" },
	{ 0x317d3eca, "pci_enable_device" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "A1FDFBA8B366572C39CF75E");
