#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0x5a2b4b0a, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0xc6bcf63d, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0xc6ec3213, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0xee1bf71c, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0x9783cf17, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x1e1c7369, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0x0563406c, "_gpl");
SYMBOL_CRC(nanddev_init, 0x3bd4209f, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0xb56358a4, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0x62371ff7, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x035e281c, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0xe8a6270f, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0xc4f33311, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0x497532c6, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0x60a4a40a, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0x28076622, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0x4454d4aa, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0xa0c7b7cd, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0x48107b03, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x96b9f1de, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0xaa108b97, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0xfdf86afc, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0x09d1e7aa, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0xfb52adac, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x74550bba, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0x16e10055, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x3351d3ea, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x92f16278, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0x7650b45b, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0x161261c6, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0xbac12ed0, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0x3570f674, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0x16e194e1, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x60ceb50c, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0x7c7a7362, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x20c6a840, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0xa3c72792, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0xcaaff050, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0x577529d6, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0xfeb08ce5, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0xbe5858e3, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0xe1a4b5ac, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0x3b781fa6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93c349f6, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc1e7efd0, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1099d055, "mtd_ooblayout_count_eccbytes" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xe32dcda, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");
