#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x3432122c, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xc22448aa, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x9e16a75c, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x4d433005, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x12c6c4c8, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x2c3df485, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x4a006dd1, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x175690e9, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x75bbeb19, "_gpl");
SYMBOL_CRC(can_change_state, 0x2168e120, "_gpl");
SYMBOL_CRC(can_bus_off, 0x8758d21d, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x1adcd49a, "_gpl");
SYMBOL_CRC(free_candev, 0x670ad38e, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xbcc6186d, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xedc781a6, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xe09ee0aa, "");
SYMBOL_CRC(open_candev, 0x014e3d46, "_gpl");
SYMBOL_CRC(close_candev, 0x75e72ef1, "_gpl");
SYMBOL_CRC(register_candev, 0x7d7459a2, "_gpl");
SYMBOL_CRC(unregister_candev, 0x74d11281, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xd5bc11f2, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xc9311ce8, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0xdb82fc73, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0xd40f0270, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xb6b0557c, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x50386b94, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x73d08509, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0xe90a4867, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0x3b8719a4, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0x059a0819, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x44e084d6, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x228dc4b7, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0xe1467beb, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x8f8497f0, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0xa256ccba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8336234e, "skb_dequeue" },
	{ 0x998fde8d, "rtnl_link_register" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0xa92562d0, "netdev_warn" },
	{ 0x87731877, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5eb33962, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0x298beb15, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8641646d, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad1546d, "napi_complete_done" },
	{ 0x324d4d98, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xfe5616f4, "__napi_schedule" },
	{ 0xf5b00873, "device_property_read_u32_array" },
	{ 0xb6fdcc5c, "rtnl_link_unregister" },
	{ 0x4ca41d59, "kfree_skb_reason" },
	{ 0xbb19ca30, "napi_enable" },
	{ 0xc226bbc0, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0xbf4c50a5, "register_netdev" },
	{ 0x45a0ba4b, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x462d6637, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x14f45a5d, "netif_rx" },
	{ 0xf5b9fd57, "__netdev_alloc_skb" },
	{ 0x88594dd1, "skb_trim" },
	{ 0xc26cb084, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4fd89bcf, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd731af42, "skb_clone" },
	{ 0x6c5617e, "netif_carrier_on" },
	{ 0x4d4ceabd, "dev_err_probe" },
	{ 0x14d3d011, "napi_schedule_prep" },
	{ 0x2b3bddf3, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xaa5df7bc, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x68fdccaa, "skb_put" },
	{ 0x54c6617f, "gpiod_set_value" },
	{ 0x97ca0cd2, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2643db1b, "consume_skb" },
	{ 0xf9b07ce8, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2ce3689a, "unregister_netdev" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "65BDC91C4E337EC694F2359");
