#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x0fabd78c, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x2a33dbab, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x629ea596, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x42c7854e, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xecd58069, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2c6d5090, "pci_device_is_present" },
	{ 0xd498a01e, "debugfs_remove" },
	{ 0xd86ccf3b, "pci_read_config_word" },
	{ 0xe8e75f1f, "pcie_flr" },
	{ 0xbb19ca30, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x9143ab9b, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xccfdf0a, "dcbnl_ieee_notify" },
	{ 0xcd7b9e71, "xsk_uses_need_wakeup" },
	{ 0xbf4c50a5, "register_netdev" },
	{ 0x5d6a8343, "dev_mc_del" },
	{ 0x60199d7b, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x45a0ba4b, "free_netdev" },
	{ 0x6b54312a, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa61d8916, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x4393d330, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5afd82bf, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x780d6b0c, "netif_tx_stop_all_queues" },
	{ 0x1dab8ee8, "pci_restore_state" },
	{ 0xd1b4a433, "bpf_trace_run1" },
	{ 0x2055d7c4, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x76a659c7, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6ffabc53, "dma_sync_single_for_cpu" },
	{ 0x4d7ed0e7, "dcb_getapp" },
	{ 0xd182750b, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0x5880a06c, "flow_rule_match_ports" },
	{ 0x909b4009, "gnss_allocate_device" },
	{ 0x6102b16b, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9acb77b1, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x3e6afa8, "netif_schedule_queue" },
	{ 0xde3535ac, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x3a3cff8f, "pci_set_master" },
	{ 0x1105e8e4, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf301a18b, "flow_rule_match_ipv6_addrs" },
	{ 0x89e9311a, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6befa668, "ptp_clock_unregister" },
	{ 0x80b73a38, "__pskb_pull_tail" },
	{ 0x8e7d36da, "xp_dma_unmap" },
	{ 0x5ae620d7, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x3f0d4ea9, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa9002b0b, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc26cb084, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9bd8b842, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0xdc6d0316, "devm_kasprintf" },
	{ 0x745a981, "xa_erase" },
	{ 0xe75f0c26, "flow_rule_match_pppoe" },
	{ 0xc617dbf8, "pv_ops" },
	{ 0x19d8a58, "flow_rule_match_enc_control" },
	{ 0x979d8675, "bpf_trace_run3" },
	{ 0x1af0f878, "seq_read" },
	{ 0x2adb75a, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6ebec37f, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6eee0bec, "gnss_deregister_device" },
	{ 0x7d84ab39, "debugfs_create_file" },
	{ 0x3d21a273, "rps_may_expire_flow" },
	{ 0x907ed111, "metadata_dst_free" },
	{ 0xb7afd40b, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x20f5fb01, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7ecb8e71, "devlink_params_register" },
	{ 0x58616ab2, "trace_event_buffer_reserve" },
	{ 0x401d1b0a, "kthread_destroy_worker" },
	{ 0x7cca70e3, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x124412c3, "flow_rule_match_enc_ports" },
	{ 0x3e14a196, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x716f0ad5, "dpll_netdev_pin_clear" },
	{ 0xe1edc13, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x6e6b314f, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xe858137d, "pcie_print_link_status" },
	{ 0x42467b6d, "xp_set_rxq_info" },
	{ 0xa898c6c8, "flow_rule_match_vlan" },
	{ 0x958ad9f3, "xdp_rxq_info_unreg" },
	{ 0xab8ffa72, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb101f207, "napi_build_skb" },
	{ 0x64e6fe6a, "netdev_master_upper_dev_get_rcu" },
	{ 0xa414bb00, "__xdp_rxq_info_reg" },
	{ 0x2630f9ae, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4fd89bcf, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xee4594f0, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xa5670bbe, "dpll_pin_register" },
	{ 0x5ef92dbf, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2e43c35c, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0xc9c49208, "__hw_addr_sync_dev" },
	{ 0xccb4813, "devlink_port_register_with_ops" },
	{ 0x2f02a43f, "pci_disable_sriov" },
	{ 0x677574aa, "pldmfw_flash_image" },
	{ 0x5c9e583c, "kthread_queue_delayed_work" },
	{ 0x46c8665e, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf337c9f, "dst_release" },
	{ 0x6c5617e, "netif_carrier_on" },
	{ 0x3c2a630c, "netdev_set_num_tc" },
	{ 0x22736090, "dpll_device_register" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x9ec2f671, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb2af4e98, "dev_uc_add_excl" },
	{ 0x7e0d519c, "pci_disable_device" },
	{ 0xd67eae7c, "boot_cpu_data" },
	{ 0x85669ca9, "xp_free" },
	{ 0x11cbd2e9, "dev_mc_add_excl" },
	{ 0x2d281272, "gnss_put_device" },
	{ 0x186acfb3, "single_release" },
	{ 0x94322e1d, "dma_set_mask" },
	{ 0xd31565cc, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfc6b6d16, "netif_set_tso_max_size" },
	{ 0xbdb70198, "__skb_flow_dissect" },
	{ 0x40f42149, "vlan_dev_vlan_id" },
	{ 0x744949fa, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x4ad938a2, "pcim_iomap_table" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x356f1304, "xdp_master_redirect" },
	{ 0xe0b4c679, "__devm_add_action" },
	{ 0x432480bb, "dpll_pin_on_pin_register" },
	{ 0x14d3d011, "napi_schedule_prep" },
	{ 0x3860d03f, "napi_consume_skb" },
	{ 0x7a9a8878, "pci_read_config_byte" },
	{ 0x3bb161d4, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xedc63287, "napi_disable" },
	{ 0x2b3bddf3, "dev_kfree_skb_any_reason" },
	{ 0x712b9073, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x4b6b84c0, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6ac7186a, "single_open" },
	{ 0xc8747c29, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xb01148ee, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeaa6516a, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbf1cfec4, "flow_rule_match_control" },
	{ 0xe3489e5b, "flow_rule_match_ip" },
	{ 0x7096b50b, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe07d7cde, "dpll_device_get" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xbfb852b6, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6f999e3d, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0xaa5df7bc, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xcced4fde, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6a95740, "__tracepoint_xdp_exception" },
	{ 0xcb3c24c2, "xsk_tx_completed" },
	{ 0x9f22be62, "alloc_etherdev_mqs" },
	{ 0x1d54dd86, "netdev_lower_get_next" },
	{ 0xa2645bd1, "flow_block_cb_lookup" },
	{ 0x247085c2, "pci_save_state" },
	{ 0xf8a6c39, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3b36175b, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x86e610e7, "device_set_wakeup_enable" },
	{ 0xb8667ec0, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xebb14131, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x87f7eb2c, "pci_find_ext_capability" },
	{ 0xe2fb6b91, "kthread_create_worker" },
	{ 0x74cecd35, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd8b298d7, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6c41e1e2, "devlink_unregister" },
	{ 0xbbc9ab3c, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x621a4f4c, "devm_request_threaded_irq" },
	{ 0xecd78556, "kthread_cancel_delayed_work_sync" },
	{ 0xf58af2db, "dpll_device_change_ntf" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0x8992edc5, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x97ca0cd2, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3f44bd72, "call_switchdev_notifiers" },
	{ 0x3561dbf2, "__napi_alloc_skb" },
	{ 0xcf1e64a1, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x79adf833, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0x7c4a2f23, "auxiliary_device_init" },
	{ 0xa890c489, "pci_enable_device_mem" },
	{ 0x2643db1b, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x30cc3299, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4c32973d, "pci_alloc_irq_vectors" },
	{ 0x3ff688cf, "flow_rule_match_l2tpv3" },
	{ 0xf9b07ce8, "netif_napi_add_weight" },
	{ 0x2cd04d93, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34a0a656, "xsk_tx_peek_release_desc_batch" },
	{ 0x751994d0, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x40573df9, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb6206d6d, "trace_raw_output_prep" },
	{ 0x4fd5b9f4, "devl_lock" },
	{ 0x20d1988a, "pci_dev_put" },
	{ 0x86196a8f, "xp_fill_cb" },
	{ 0x9d2c487a, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf54ec0fe, "ndo_dflt_bridge_getlink" },
	{ 0x2ce3689a, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x22253d61, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x85ac5808, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd2c8a384, "xdp_features_set_redirect_target" },
	{ 0x54a8f50b, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x10cb7593, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x71e43c83, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa21feb67, "request_firmware" },
	{ 0x429c8b23, "trace_event_printf" },
	{ 0x1cbac68c, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x4ef16ce1, "flow_rule_match_cvlan" },
	{ 0xc248659e, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x7599af5d, "devlink_params_unregister" },
	{ 0x29d2e62, "dma_sync_single_for_device" },
	{ 0x78061e52, "gnss_insert_raw" },
	{ 0xa8f70094, "pci_num_vf" },
	{ 0xfa9bfdd5, "flow_rule_match_eth_addrs" },
	{ 0xcbf303de, "skb_add_rx_frag" },
	{ 0xc6872f69, "get_device_system_crosststamp" },
	{ 0xb2c2d5c1, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x770fbffe, "ptp_clock_index" },
	{ 0xd5737eb9, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb71f809c, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b8c3e95, "devlink_alloc_ns" },
	{ 0xfee18736, "devl_rate_leaf_destroy" },
	{ 0x5758b33e, "devlink_register" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0xbbbfb00a, "xdp_do_redirect" },
	{ 0x4c765c6c, "devlink_free" },
	{ 0x8ce1b885, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeee3ceee, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x41b64963, "devl_rate_node_create" },
	{ 0xa92562d0, "netdev_warn" },
	{ 0x55984ae4, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2cc673c8, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x20aa68ed, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8008026d, "pci_irq_vector" },
	{ 0x33489193, "flow_rule_match_ipv4_addrs" },
	{ 0x5eb33962, "__netif_napi_del" },
	{ 0x23786952, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd96ae5fe, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x51511655, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x298beb15, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x883bd8e0, "pskb_expand_head" },
	{ 0x3dcc2899, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x4ca3476b, "devlink_flash_update_status_notify" },
	{ 0xe7b438e3, "dev_driver_string" },
	{ 0x726cb1a4, "pci_restore_msi_state" },
	{ 0xb33f1ebf, "trace_event_buffer_commit" },
	{ 0xe8df7589, "xdp_return_buff" },
	{ 0x6b1a7dc5, "dev_addr_mod" },
	{ 0xd64a54fd, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x4c72a66e, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x3a652e3c, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x325e7832, "auxiliary_driver_unregister" },
	{ 0x7fb1fbc0, "dma_map_page_attrs" },
	{ 0xad1546d, "napi_complete_done" },
	{ 0x1f3db3c5, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x5c2db80c, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaeee8e96, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xb5aa9397, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc1e7efd0, "put_device" },
	{ 0xa41a87d4, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0xfe5616f4, "__napi_schedule" },
	{ 0x7351045a, "ipv6_skip_exthdr" },
	{ 0xd6ee2dc, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x5127cc9, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3fcd6c2f, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc5369df6, "__hw_addr_unsync_dev" },
	{ 0xf84c407d, "_dev_info" },
	{ 0x28eb1ee8, "napi_gro_receive" },
	{ 0x767ab244, "xdp_features_clear_redirect_target" },
	{ 0x73f75c6d, "netdev_pick_tx" },
	{ 0xaa684e6f, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xea0d3789, "xp_raw_get_dma" },
	{ 0xed544f95, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc6d11f5d, "pci_iov_virtfn_devfn" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x557bd5c4, "xdp_rxq_info_is_reg" },
	{ 0x90347b2c, "flow_rule_match_enc_opts" },
	{ 0x1fb4f911, "flow_block_cb_setup_simple" },
	{ 0xce445fef, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb745e5f0, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x425ce14f, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xa7f80e87, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x66a8fcbc, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xc127ccbb, "vlan_dev_real_dev" },
	{ 0x4f4bd980, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa3440408, "devm_kmemdup" },
	{ 0x98da8f70, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8002a4b6, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x317dda93, "devlink_port_unregister" },
	{ 0xae62c979, "devlink_flash_update_timeout_notify" },
	{ 0x89afeb11, "devm_kfree" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x4e68c765, "init_net" },
	{ 0x684988a5, "softnet_data" },
	{ 0x3c5a5596, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x561c50f8, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc1c1f1bf, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x722545d, "xp_dma_sync_for_cpu_slow" },
	{ 0xce6447ab, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x996a5166, "netif_set_real_num_tx_queues" },
	{ 0x178256c9, "__auxiliary_device_add" },
	{ 0x41462026, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xed382b36, "netif_set_real_num_rx_queues" },
	{ 0xfd791858, "flow_indr_block_cb_alloc" },
	{ 0xf628a4c8, "pci_wait_for_pending_transaction" },
	{ 0xd69f6c08, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "gnss");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E18F4FFF3FC0176A6066DB4");
