#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0xe20ee5c3, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x16c44716, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x3b429299, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xb7b1c665, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x6bf4e771, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x0612bd63, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x9c91eccb, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x9a928bf7, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xb014d0a2, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0xdd1be100, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x7324f125, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5bf995cb, "usbnet_unlink_rx_urbs" },
	{ 0x1a7c0c5f, "usbnet_write_cmd" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0x65ff77de, "netif_tx_lock" },
	{ 0x9be6f6c0, "usbnet_start_xmit" },
	{ 0xaf848112, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x4426ec30, "usbnet_read_cmd" },
	{ 0xf5b9fd57, "__netdev_alloc_skb" },
	{ 0x68fdccaa, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x594bd8fc, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd2e14630, "cdc_parse_cdc_header" },
	{ 0xd15c085b, "usb_ifnum_to_if" },
	{ 0x49342c38, "usb_driver_claim_interface" },
	{ 0x1f9506bb, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa09e68, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9ef569bd, "__alloc_skb" },
	{ 0x728a3f67, "usbnet_manage_power" },
	{ 0x288ebf84, "usbnet_cdc_update_filter" },
	{ 0x65336a36, "usbnet_open" },
	{ 0xeac6e117, "usbnet_stop" },
	{ 0xd02a426a, "usbnet_set_rx_mode" },
	{ 0x66ebc6d4, "eth_mac_addr" },
	{ 0x8ce1b885, "eth_validate_addr" },
	{ 0x8701609b, "usbnet_tx_timeout" },
	{ 0x4f8351f3, "dev_get_tstats64" },
	{ 0xcf9d397, "usbnet_get_drvinfo" },
	{ 0xd9605bfa, "usbnet_get_msglevel" },
	{ 0xe7ac8944, "usbnet_set_msglevel" },
	{ 0x60af816e, "usbnet_nway_reset" },
	{ 0xc2f86756, "usbnet_get_link" },
	{ 0x6f999e3d, "ethtool_op_get_ts_info" },
	{ 0x476b2be9, "usbnet_get_link_ksettings_internal" },
	{ 0xde9181db, "usbnet_probe" },
	{ 0x669bd77d, "usbnet_disconnect" },
	{ 0x2360679b, "usbnet_suspend" },
	{ 0x8180f079, "usbnet_resume" },
	{ 0xf1907c9d, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x2b3bddf3, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x8c485b54, "usb_driver_release_interface" },
	{ 0x40101640, "usb_altnum_to_altsetting" },
	{ 0xc26cb084, "__dynamic_netdev_dbg" },
	{ 0xef5dd581, "usb_register_driver" },
	{ 0xc1225237, "usb_deregister" },
	{ 0xb9b331ec, "usbnet_link_change" },
	{ 0xf84c407d, "_dev_info" },
	{ 0xa2c5687a, "usbnet_update_max_qlen" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");
