#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0xaecfa638, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x3d3752fe, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x819b6068, "");
SYMBOL_CRC(sdw_intel_startup, 0x6eb9ffa3, "");
SYMBOL_CRC(sdw_intel_exit, 0x6f6c9d8e, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x565f616d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd498a01e, "debugfs_remove" },
	{ 0x64c58176, "cdns_xfer_msg_defer" },
	{ 0xcc6ade6d, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x76a659c7, "device_del" },
	{ 0xebbaadce, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc6d0316, "devm_kasprintf" },
	{ 0x40fcf545, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x1af0f878, "seq_read" },
	{ 0x7d84ab39, "debugfs_create_file" },
	{ 0x1cf480f2, "sdw_stream_add_master" },
	{ 0x8a4e2ec2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7998bc25, "cdns_read_ping_status" },
	{ 0x79edcbe9, "acpi_fetch_acpi_dev" },
	{ 0x975658fd, "device_get_named_child_node" },
	{ 0x44d56d7f, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x47ba797a, "sdw_cdns_config_update" },
	{ 0xee4594f0, "seq_printf" },
	{ 0x3645ae22, "sdw_bus_master_delete" },
	{ 0x186acfb3, "single_release" },
	{ 0xd31565cc, "__auxiliary_driver_register" },
	{ 0x82abf7f4, "sdw_cdns_check_self_clearing_bits" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0xba5cbf8b, "__pm_runtime_use_autosuspend" },
	{ 0xf64146a8, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x4b6b84c0, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x6ac7186a, "single_open" },
	{ 0x518506f5, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x3f470261, "__pm_runtime_disable" },
	{ 0xb01148ee, "debugfs_create_dir" },
	{ 0x42dd5995, "sdw_master_read_prop" },
	{ 0xef668220, "sdw_compute_params" },
	{ 0x8dc35f38, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x100575ae, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb98f39ec, "simple_attr_open" },
	{ 0x42c80d84, "debugfs_attr_write" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0x7c4a2f23, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xce0f71cd, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x826a81fd, "sdw_cdns_clock_restart" },
	{ 0x83f859aa, "sdw_cdns_debugfs_init" },
	{ 0x2a056b53, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x8f2ceb79, "pm_runtime_set_autosuspend_delay" },
	{ 0x625694c3, "sdw_bus_master_add" },
	{ 0x2a258169, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x3af6c9db, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0e10549, "sdw_cdns_is_clock_stop" },
	{ 0xf418d581, "seq_lseek" },
	{ 0xa3a7b89b, "sdw_cdns_config_update_set_wait" },
	{ 0xef072ad1, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97aa5abc, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1bc2e5de, "__pm_runtime_set_status" },
	{ 0x325e7832, "auxiliary_driver_unregister" },
	{ 0xdc85834, "devm_snd_soc_register_component" },
	{ 0xba621362, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc1e7efd0, "put_device" },
	{ 0xe4f15c11, "cdns_set_sdw_stream" },
	{ 0xea64cd7c, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb6d47c63, "fwnode_property_read_u32_array" },
	{ 0xf84c407d, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xfeb34abf, "sdw_clear_slave_status" },
	{ 0xc74f461e, "debugfs_attr_read" },
	{ 0x9013b23b, "sdw_stream_remove_master" },
	{ 0x724497c5, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0xad0b182, "sdw_cdns_exit_reset" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x66cbb144, "simple_attr_release" },
	{ 0x178256c9, "__auxiliary_device_add" },
	{ 0xfd52d7ae, "sdw_cdns_alloc_pdi" },
	{ 0xa2d11661, "sdw_cdns_clock_stop" },
	{ 0x6a39a9da, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "59A385F6574C3F3CB846AE8");
