#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0xa7bdcff3, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x5fe2364d, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x66a99970, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0xb300a2a6, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x7f4fe1b8, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x7bebe042, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x4c7f484f, "_gpl");
SYMBOL_CRC(tb_ring_free, 0xb049a300, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x5ddf5026, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0xbd70da98, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x57303de2, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0xc49441d1, "_gpl");
SYMBOL_CRC(tb_service_type, 0xe5a8a1c5, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x0bf74bf0, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x899d07f1, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x2b2a1ed0, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0xfbb3c062, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x7b6b36f5, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0xc5b757f2, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x8b5aa126, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0xcfa9415c, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x238b779c, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0xc4c4e771, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x93f21712, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2776f2a8, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x5871daf8, "pm_runtime_allow" },
	{ 0x8a4e2ec2, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x79edcbe9, "acpi_fetch_acpi_dev" },
	{ 0xf1907c9d, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xee4594f0, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x81d94758, "kobject_uevent" },
	{ 0x5ac999e9, "device_iommu_capable" },
	{ 0xc947f3dd, "seq_puts" },
	{ 0x186acfb3, "single_release" },
	{ 0x94322e1d, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8acf9e16, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4d4ceabd, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xb7d5d79d, "nvmem_register" },
	{ 0x4ad938a2, "pcim_iomap_table" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x692f5caa, "__pm_runtime_suspend" },
	{ 0x98c5ee8a, "component_add" },
	{ 0x50df4692, "fwnode_handle_put" },
	{ 0x754d539c, "strlen" },
	{ 0xba5cbf8b, "__pm_runtime_use_autosuspend" },
	{ 0x6ac7186a, "single_open" },
	{ 0xc8747c29, "pcim_enable_device" },
	{ 0x3f470261, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8392dded, "crypto_alloc_shash" },
	{ 0xb01148ee, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3d089289, "device_link_add" },
	{ 0xbf0f34a2, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x8dc35f38, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5a6eb9a3, "__dev_fwnode" },
	{ 0x198977ee, "pci_bus_type" },
	{ 0xdf7d019d, "pci_write_config_dword" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x4f75895, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x87f7eb2c, "pci_find_ext_capability" },
	{ 0x6ab8a20f, "is_acpi_device_node" },
	{ 0x7d52f183, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x621a4f4c, "devm_request_threaded_irq" },
	{ 0x85e29abd, "param_ops_uint" },
	{ 0x50f8f793, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5688401e, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0xec50c0b4, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4c32973d, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x788fcd51, "device_unregister" },
	{ 0x8f2ceb79, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8b57553a, "nvmem_unregister" },
	{ 0xc248659e, "__pci_register_driver" },
	{ 0x497e0b16, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc883a43, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0xf418d581, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x2dab1516, "acpi_find_child_by_adr" },
	{ 0xef072ad1, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8008026d, "pci_irq_vector" },
	{ 0x2ce77b17, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x51511655, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xe7b438e3, "dev_driver_string" },
	{ 0x1487e5c0, "crypto_destroy_tfm" },
	{ 0xd10c103d, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1bc2e5de, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf65a0901, "pm_wakeup_dev_event" },
	{ 0x83f997b7, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0xa9325599, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc1e7efd0, "put_device" },
	{ 0xa41a87d4, "devm_free_irq" },
	{ 0xea64cd7c, "pm_runtime_enable" },
	{ 0xbb80c0d9, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbba1a5fc, "bus_for_each_dev" },
	{ 0xf84c407d, "_dev_info" },
	{ 0x22bd52b8, "sysfs_create_link" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xa7f80e87, "pcim_iomap_regions" },
	{ 0x92fb85ab, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8e76c02a, "bus_unregister" },
	{ 0xadce4d69, "_dev_err" },
	{ 0xfc7148a2, "device_wakeup_enable" },
	{ 0xd1b43e9a, "crypto_shash_setkey" },
	{ 0x80138679, "bus_find_device" },
	{ 0xa0890976, "device_add" },
	{ 0x58f72db, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3b31e424, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2c6d5090, "pci_device_is_present" },
	{ 0xa011c507, "dma_alloc_attrs" },
	{ 0xd498a01e, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xb1d13067, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3ee816b9, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x51ee07a0, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x44fd3d08, "device_register" },
	{ 0x76a659c7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0x29bf4f4a, "unregister_acpi_bus_type" },
	{ 0xa1b45d31, "acpi_get_first_physical_node" },
	{ 0x3a3cff8f, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x8945f984, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x9bd8b842, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1af0f878, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa0fad892, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x86beba89, "pm_runtime_forbid" },
	{ 0x7d84ab39, "debugfs_create_file" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "A1B2F6D25377ECA11E18624");
