#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x77507be9, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x7382f692, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x7f73947c, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xff6bc6c3, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xa0a8b3fa, "_gpl");
SYMBOL_CRC(br_forward, 0x3c5fd6b1, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xec46aade, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x8519b1dd, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x1edb9089, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xd1a166e2, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xc4d5946f, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xc4a64493, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xc0fc2f55, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xf5a7c7d3, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xeab98b7b, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xe33c5928, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xde0f1561, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x19458aa3, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x4130a494, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xe8b93f09, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x4b49bfb3, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x17dbce8b, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x6d5920a0, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x3e96ade2, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xd499574a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29e66aec, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc26cb084, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa43904ae, "__ip_mc_inc_group" },
	{ 0x55d3773f, "netdev_walk_all_upper_dev_rcu" },
	{ 0xc617dbf8, "pv_ops" },
	{ 0x6e0de624, "sysfs_remove_group" },
	{ 0xf40ef431, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2b28d007, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1b8fe639, "__netpoll_setup" },
	{ 0x3bdf1632, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcd2b7836, "vlan_vid_add" },
	{ 0x68ded59d, "neigh_destroy" },
	{ 0x8ec7f7ee, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x4a2123b0, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x6de83c08, "__SCK__tp_func_br_fdb_update" },
	{ 0x6e6b314f, "call_netdevice_notifiers" },
	{ 0x2555be61, "is_skb_forwardable" },
	{ 0x80644fc0, "vlan_vid_del" },
	{ 0x62b41208, "dev_set_allmulti" },
	{ 0x8fcbb93d, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2630f9ae, "netdev_master_upper_dev_get" },
	{ 0xb610e416, "ipv6_dev_mc_inc" },
	{ 0x6f6eaa1e, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4fd89bcf, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2d7cd11, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb0851d7a, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd731af42, "skb_clone" },
	{ 0x1e9ba769, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x46c8665e, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcf337c9f, "dst_release" },
	{ 0x6c5617e, "netif_carrier_on" },
	{ 0x81d94758, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x59ff94ec, "arp_tbl" },
	{ 0xd5f1ba1c, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xad6e0227, "netdev_rx_handler_register" },
	{ 0x8afcd54f, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfc6b6d16, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6306c1c5, "dev_disable_lro" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x75a28009, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x159f8d9b, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x2b3bddf3, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x56396c3c, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x283d832e, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x180d35ef, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x589c9e8c, "skb_ext_add" },
	{ 0xb1e39102, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4d641256, "stp_proto_unregister" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0xc0fcb1e3, "neigh_lookup" },
	{ 0x5aa65097, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3669df6c, "kobject_put" },
	{ 0x30b7d09, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x1d54dd86, "netdev_lower_get_next" },
	{ 0xf871a779, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf31f56c, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xbbc9ab3c, "skb_copy_bits" },
	{ 0xe2d349f8, "__nlmsg_put" },
	{ 0x3e10f414, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x71f80324, "ipv6_mc_check_mld" },
	{ 0x68fdccaa, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3f44bd72, "call_switchdev_notifiers" },
	{ 0xca15a016, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x76a1750e, "netdev_update_features" },
	{ 0x2643db1b, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x419e6cc6, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x1cbac68c, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2b62f1a6, "netpoll_send_skb" },
	{ 0x998fde8d, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x4efec500, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2a06401d, "switchdev_port_obj_act_is_deferred" },
	{ 0x46dcb078, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xa648007, "dev_set_promiscuity" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4815297, "unregister_netdevice_queue" },
	{ 0x15a810a8, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd96ae5fe, "netdev_state_change" },
	{ 0xa8d18803, "__dev_get_by_name" },
	{ 0x458b68ef, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x298beb15, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x883bd8e0, "pskb_expand_head" },
	{ 0x76f79511, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x786e1e18, "brioctl_set" },
	{ 0x6b1a7dc5, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x37bb693b, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x324d4d98, "alloc_netdev_mqs" },
	{ 0x1c598f82, "passthru_features_check" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x130dcd02, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4dd89487, "__SCK__tp_func_br_mdb_full" },
	{ 0x17036303, "rtnl_af_register" },
	{ 0x44e4cba3, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x9ef569bd, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaa013a0c, "kmem_cache_alloc" },
	{ 0x5bd26348, "rtnl_set_sk_err" },
	{ 0xb5ef1980, "skb_vlan_pop" },
	{ 0xd18043f4, "rtnl_unicast" },
	{ 0x22bd52b8, "sysfs_create_link" },
	{ 0x95b7d9a8, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6350d90a, "nla_reserve_64bit" },
	{ 0x1287a513, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1e4d4603, "__dev_get_by_index" },
	{ 0xb6fdcc5c, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x2d4ff334, "dev_get_port_parent_id" },
	{ 0x4e68c765, "init_net" },
	{ 0x105c8c0b, "ipv6_stub" },
	{ 0xa62c50bd, "inet_confirm_addr" },
	{ 0xaed3b2a9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x58f72db, "sysfs_remove_link" },
	{ 0x67ff98fe, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf75c57d, "__SCK__tp_func_br_fdb_add" },
	{ 0x503dc7f1, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x6d79398f, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2666f81, "dev_get_by_index_rcu" },
	{ 0x4ca41d59, "kfree_skb_reason" },
	{ 0x8566ca71, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x35101c1f, "skb_push" },
	{ 0x9e537b71, "kmem_cache_free" },
	{ 0xa5e47f48, "br_fdb_test_addr_hook" },
	{ 0x327d6ca, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x147986ed, "netdev_upper_dev_unlink" },
	{ 0xc226bbc0, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xda79147f, "llc_mac_hdr_init" },
	{ 0x45a0ba4b, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xa13bdf0b, "__SCK__tp_func_fdb_delete" },
	{ 0xa47f69fe, "kobject_init_and_add" },
	{ 0x465653e9, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbb890fdd, "ns_capable" },
	{ 0x484dfd2f, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2e31b901, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa61d8916, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x59cff67f, "arp_create" },
	{ 0x673bf14c, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5407cd6b, "stp_proto_register" },
	{ 0x87db73ac, "rtnl_register_module" },
	{ 0x67d498f7, "__tracepoint_br_fdb_update" },
	{ 0x57c126c0, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf44d38ae, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5a457b48, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x80b73a38, "__pskb_pull_tail" },
	{ 0x4f8351f3, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x14f45a5d, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xa99bfa9c, "ip_mc_check_igmp" },
	{ 0xf5b9fd57, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x880a261d, "switchdev_port_obj_del" },
	{ 0xec382a36, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x465c8cc2, "kobject_create_and_add" },
	{ 0x88594dd1, "skb_trim" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "161BFDA8E18BE2AA8758647");
