#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0x0503f4f7, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x28b7c890, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x5edb9663, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x64c0926e, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x36e1aba7, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0xaf8d9e9e, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x39ed5a5d, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0x6760f20a, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0xa657e202, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x8be3de65, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x734da3c8, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0xf3843127, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x7bb58712, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0xea74e97d, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0x3ad0b0a4, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x47b8da52, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0xd8b2ae13, "_gpl");
SYMBOL_CRC(wm_halo_init, 0x3fef95c8, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0xb55a5f9e, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x120f46cb, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0x1823cdaf, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0xf56c4b99, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x8a656018, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0xd1497b3c, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0xa364849b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0xd0f2c873, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x5ea03040, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x5eb7b9c2, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6f57ded, "cs_dsp_init_debugfs" },
	{ 0xe2964344, "__wake_up" },
	{ 0x75c7725e, "cs_dsp_halo_bus_error" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad5a9374, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71806669, "cs_dsp_find_alg_region" },
	{ 0xacf0f52b, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbf0d6e0, "cs_dsp_get_ctl" },
	{ 0xf84c407d, "_dev_info" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x32012d8b, "cs_dsp_halo_init" },
	{ 0xbe9de93, "cs_dsp_power_down" },
	{ 0xb3e4ebb4, "cs_dsp_adsp2_init" },
	{ 0x6e7d08f0, "snd_soc_add_component_controls" },
	{ 0x744bf4d9, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xd40cfc3a, "cs_dsp_set_dspclk" },
	{ 0xe0f2f3e3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1b7444a0, "cs_dsp_power_up" },
	{ 0xc76a1268, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xb71cd99b, "cs_dsp_run" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xeaae56ea, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x86f8d39e, "cs_dsp_halo_wdt_expire" },
	{ 0xe55cdaa7, "snd_soc_component_disable_pin" },
	{ 0x971e4043, "snd_soc_bytes_tlv_callback" },
	{ 0x9c008eca, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x1e952f90, "cs_dsp_read_raw_data_block" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xb0d740d9, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc01414be, "snd_soc_component_force_enable_pin" },
	{ 0x79adf833, "firmware_request_nowarn" },
	{ 0xe078caae, "cs_dsp_cleanup_debugfs" },
	{ 0x4a5e645e, "cs_dsp_coeff_read_ctrl" },
	{ 0xbf27c8ec, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd7c2a7e4, "cs_dsp_stop" },
	{ 0x859c5776, "cs_dsp_adsp1_power_up" },
	{ 0x69cff59f, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0x6cdd790f, "cs_dsp_adsp1_init" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "20BB968830187ECAC8B9CDD");
