#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0xa87ec8ae, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0xde5b901e, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0x9cbd3c99, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0xf8aefea6, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0xaeb118b5, "_gpl");
SYMBOL_CRC(line6_read_data, 0x0cb07fef, "_gpl");
SYMBOL_CRC(line6_write_data, 0xd99d545e, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0x244ee922, "_gpl");
SYMBOL_CRC(line6_probe, 0x12453a8e, "_gpl");
SYMBOL_CRC(line6_disconnect, 0xe1a7f2f9, "_gpl");
SYMBOL_CRC(line6_suspend, 0x93bf2265, "_gpl");
SYMBOL_CRC(line6_resume, 0x5a0858dc, "_gpl");
SYMBOL_CRC(line6_init_midi, 0x005d25b4, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0xb0bd6975, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0xb46d01d3, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x3ca4ad8d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74306699, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xadce4d69, "_dev_err" },
	{ 0x585f8baa, "snd_hwdep_new" },
	{ 0x93711cb9, "snd_rawmidi_transmit_peek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdceef5cf, "snd_card_free_when_closed" },
	{ 0x1f9506bb, "usb_set_interface" },
	{ 0x8e216f21, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x124c9a04, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0x6f18ea65, "snd_rawmidi_new" },
	{ 0xe1a5ab94, "snd_card_disconnect" },
	{ 0x9cc98d8a, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3d8a06cf, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0x7ddc380a, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6e9f3054, "snd_pcm_period_elapsed" },
	{ 0xed07283b, "kmalloc_trace" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x754d539c, "strlen" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3f411edd, "kmalloc_caches" },
	{ 0x15ea6e65, "usb_alloc_urb" },
	{ 0xd8bf9188, "snd_rawmidi_receive" },
	{ 0x3a9f489f, "usb_free_urb" },
	{ 0xac8397c9, "usb_control_msg_send" },
	{ 0x549fb315, "snd_ctl_add" },
	{ 0x8d36d491, "snd_pcm_new" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe2d42474, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x333cdd5e, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4cb88364, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e59b3a0, "usb_interrupt_msg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0xdc262d19, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x30ba4359, "usb_put_dev" },
	{ 0xcf71742e, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb85612b9, "snd_rawmidi_transmit_ack" },
	{ 0x53f085e, "usb_get_dev" },
	{ 0x136cc824, "usb_submit_urb" },
	{ 0xf84c407d, "_dev_info" },
	{ 0x7fe1d7c0, "snd_pcm_hw_constraint_ratdens" },
	{ 0x36e76829, "snd_card_new" },
	{ 0x1ec0da41, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-hwdep,snd-rawmidi,snd,snd-pcm");


MODULE_INFO(srcversion, "E80F6A5BE54D9C806547C9A");
